package cn.com.ty.lift.batch.applet.dao.mapper;

import cn.com.ty.lift.batch.applet.dao.model.AnnualInspectionDataModel;
import cn.com.ty.lift.batch.applet.dao.model.request.AnnualInspectionDataRequest;
import cn.com.ty.lift.batch.applet.dao.model.request.CommonRequest;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@MyBatisMapper
public interface AnnualInspectionDataMapper {
    /**
     * @param commonRequest 起始时间 终止时间
     * @return
     * @description 获取时间段内的年检数据
     * @date 2020/2/4 11:53 上午
     */
    List<AnnualInspectionDataModel> getAnnualInspectionDataList(CommonRequest commonRequest);

    /**
     * @param annualInspectionDataRequest 起始时间 终止时间
     * @return
     * @description 获取年检项目信息
     * @date 2020/5/22 5:28 下午
     */
    List<AnnualInspectionDataModel> getProjectAnnual(AnnualInspectionDataRequest annualInspectionDataRequest);

    /**
     * @param
     * @return
     * @description 获取条数
     * @date 2020/5/28 10:15 上午
     */
    Long getProjectAnnualCount(AnnualInspectionDataRequest annualInspectionDataRequest);

    /**
     * @param
     * @return
     * @description 获取项目下的急修任务
     * @date 2020/5/22 6:57 下午
     */
    List<AnnualInspectionDataModel> getProjectLiftAnnualInfo(AnnualInspectionDataRequest annualInspectionDataRequest);

    /**
     * @param
     * @return
     * @description 项目电梯数量
     * @date 2020/5/22 7:11 下午
     */
    List<AnnualInspectionDataModel> projectLiftNum(AnnualInspectionDataRequest annualInspectionDataRequest);

    /**
     * @param
     * @return
     * @description 开启年检的电梯
     * @date 2020/6/2 5:36 下午
     */
    List<AnnualInspectionDataModel> projectAnnualLiftNum(AnnualInspectionDataRequest annualInspectionDataRequest);
}
