package cn.com.ty.lift.business.contract.dao.entity.model.response;


import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 合同管理导出数据
 */
@Data
public class ContractManageExportDto {

    /**
     * 项目名称
     * 通过projectId关联表查询
     */
    private String projectName;


    /**
     * 客户名称
     */
    private String memberName;


    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 合同编号
     */
    private String contractCode;


    /**
     * 合同来源
     *  1 : 商保新增 ；2 : 免保转签；3 : 续签；4 : 免保
     */
    private String source;


    /**
     * 合同类型
     * 合同类型（1 : 半包；2：大包；3：清包；4：全包；5：大修）
     */
    private String type;

    /**
     * 合同开始时间
     */
    private String starDate;

    /**
     * 合同结束时间
     */
    private String endDate;


    /**
     * 台量
     */
    private Integer liftNum;

    /**
     * 合同金额
     */
    private BigDecimal moneys;

    /**
     * 签约时间
     */
    private String givenDate;

    /**
     * 签约人
     */
    private String givenUser;

    /**
     * 实收金额
     */
    private BigDecimal workMoney;


    /**
     * 未收
     */
    private BigDecimal NoPayMoney;


    /**
     * 配件条款
     */
    private String partsRules;
}
