package cn.com.ty.lift.business.library.dao.entity.model.request;

import cn.com.ty.lift.business.library.dao.entity.Lift;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/3
 * @description 电梯扩展请求体
 */
@Data
public class LiftExtensionRequest {

    /**
     * 维保工
     */
    @NotNull(message = "维保工不能为空")
    private Long workerId;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 新增电梯来源入口 （0:从电梯管理新增，1:从项目管理中新增）
     */
    @NotNull(message = "电梯来源入口不能为空")
    private String source;

    /**
     * 新增标记 (0:新增,1:查询后带入)
     */
    @NotNull(message = "新增标记不能为空")
    private String mark;

    /**
     * 维保公司ID
     */
    @NotNull(message = "维保公司ID不能为空")
    private Long mtCompanyId;

    /**
     * 电梯id
     */
    private Long id;

    /**
     * 电梯
     */
    @NotNull(message = "电梯信息不能为空")
    private Lift lift;
}
