package cn.com.ty.lift.system.user.dao.entity.model;

import cn.com.ty.lift.system.appmenu.mapper.entity.Appmenu;
import cn.com.ty.lift.system.settings.dao.entity.MaintenanceCompany;
import cn.com.ty.lift.system.user.dao.entity.Menu;
import cn.com.ty.lift.system.user.dao.entity.Role;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 用户响应类
 */
@Data
public class UserResponse {
    private Long userId;//用户id
    private String mobile;//用户手机号
    private String name;//用户昵称
    private Integer type;//用户类型
    private String avatarUrl;//用户头像
    private BigDecimal balance;//余额
    private LocalDateTime createTime;//创建时间/注册时间
    private Integer expertFlag;//专家标识
    private Integer expertLevel;//专家等级
    private String token;//验证token
    private List<MaintenanceCompany> companyList;//用户所在团队信息集合
    private List<Menu> menus;//用户菜单
    private MaintenanceCompany maintenanceCompany;//用户当前团队信息
    private Role role;//用户角色
    private String roleCode;//角色编码

    //udream增加字段
    private String userLevelName;//app用户类型名称
    private Integer userLevel;//app用户类型id
    private List<Appmenu> appMenus;//用户app权限
}
