package cn.com.ty.lift.system.userlevelrule.mapper.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 用户等级规则;
 * 
 * @author Xson
 * @date 2020-05-06
 */
@Data
@ApiModel(description="用户等级规则;")
@TableName(value= "user_level_rule")
public class UserLevelRuleEntity {

        @TableId(type = IdType.AUTO)
        @ApiModelProperty(value = "主键")
        private Long id;

        /**
         * 角色名称
         */
        @ApiModelProperty("角色名称")
        private String name;


        /**
         * 1会员用户2普通用户
         */
        @ApiModelProperty("1会员用户2普通用户")
        private Integer vipFlag;

        /**
         * 用户ID
         */
        @ApiModelProperty("用户ID")
        @JsonSerialize(using=ToStringSerializer.class)
        private transient Long userId;

        /**
         * 角色编码
         */
        @ApiModelProperty("角色编码")
        private String roleCode;

        /**
         * 卡片
         */
        @ApiModelProperty("卡片")
        private  String image;

        /**
         * 创建时间 默认为系统当前时间
         */
        @ApiModelProperty(value = "创建时间")
        @TableField(value = "create_time", fill = FieldFill.INSERT)
        private LocalDateTime createTime;

        /**
         * 创建者id
         */
        @ApiModelProperty(value = "创建人id")
        @TableField(value = "create_by", fill = FieldFill.INSERT)
        private String createBy;

        /**
         * 修改时间 默认为系统当前时间
         */
        @ApiModelProperty(value = "修改时间")
        @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
        private LocalDateTime updateTime;

        /**
         * 修改者id
         */
        @ApiModelProperty(value = "修改人")
        @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
        private String updateBy;

}
