package cn.com.ty.lift.ud;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @Author xwy
 * @create 2019/11/4
 */
@Slf4j
@EnableCaching//开启缓存支持
@EnableScheduling
@EnableFeignClients
@EnableDiscoveryClient
@ServletComponentScan//配置NettyListener 需加上此注解
@MapperScan("cn.com.ty.lift.**.mapper")
@SpringBootApplication(scanBasePackages = {"cn.com.ty.lift", "cn.com.xwy.boot"})
public class UdApplication {

    public static void main(String[] args) {
        log.debug("UdApplication startup main");
        SpringApplication application = new SpringApplication(UdApplication.class);
        application.run(args);
    }
}
