package cn.com.ty.lift.ud.applyExpert.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import cn.com.ty.lift.ud.common.BaseEntity;
import cn.com.ty.lift.ud.userInfo.mapper.entity.UserInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专家申请表
 * 
 * @author Xson
 * @date 2020-05-16
 */
@Data
@ApiModel(description = "专家申请表")
@TableName(value = "apply_expert")
public class ApplyExpert extends BaseEntity {

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private Integer gender;

    /**
     * 年龄
     */
    @ApiModelProperty("年龄")
    private Integer age;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String idNumber;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String mobile;

    /**
     * 学历
     */
    @ApiModelProperty("学历")
    private Integer eduLevel;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    private String professional;

    /**
     * 从业时长
     */
    @ApiModelProperty("从业时长")
    private Integer workDate;

    /**
     * 公司id
     */
    @ApiModelProperty("公司")
    private Long companyId;
    
    /**
     * 公司
     */
    @ApiModelProperty("公司")
    private String company;

    /**
     * 现任岗位
     */
    @ApiModelProperty("现任岗位")
    private String job;

    /**
     * 常驻地点
     */
    @ApiModelProperty("常驻地点")
    private String residentPlace;

    /**
     * 工作经历
     */
    @ApiModelProperty("工作经历")
    private String workExperience;

    /**
     * 项目经历
     */
    @ApiModelProperty("项目经历")
    private String projectExperience;

    /**
     * 擅长品牌
     */
    @ApiModelProperty("擅长品牌")
    private String proficiencyBrand;

    /**
     * 擅长电气
     */
    @ApiModelProperty("擅长电气")
    private String goodElectrical;

    /**
     * 擅长机械
     */
    @ApiModelProperty("擅长机械")
    private String goodMechanical;

    /**
     * 身份证照片
     */
    @ApiModelProperty("身份证照片")
    private String cardPicture;

    /**
     * 学历学位证书
     */
    @ApiModelProperty("学历学位证书")
    private String degreeCertificate;

    /**
     * 技能证书
     */
    @ApiModelProperty("技能证书")
    private String skillsCertificate;

    /**
     * 其他证书
     */
    @ApiModelProperty("其他证书")
    private String otherCertificates;

    /**
     * 专家审核 1通过 0驳回2待审核
     */
    @ApiModelProperty("专家审核 1通过 0驳回2待审核")
    private Integer checkFlag;

    @ApiModelProperty("服务费")
    private transient BigDecimal serviceFee;
    
    /**
     * 擅长品牌名称
     */
    @ApiModelProperty("擅长品牌名称")
    private String proficiencyBrandName;
    
    /**
     * 照片
     */
    @ApiModelProperty("照片")
    private String photo;
    
    /**
     * 注册手机号
     */
    @ApiModelProperty("注册手机号")
    private transient String registMobile;
    
    /**
     * 昵称
     */
    @ApiModelProperty("昵称")
    private transient String nickname;
    
}
