package cn.com.ty.lift.ud.areaCode.controller.query;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.com.ty.lift.ud.areaCode.mapper.entity.AreaCode;
import cn.com.ty.lift.ud.common.BasePageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 行政区划 查询条件
 * 
 * @author Xson
 * @date 2020-04-30
 */
@Data
@ApiModel(description = "行政区划 查询条件")
public final class AreaCodeQuery extends BasePageQuery {

     private Integer id;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 父级编码
     */
    @ApiModelProperty("父级编码")
    private String parent;

    /**
     * 级别 1省 2市 3区
     */
    @ApiModelProperty("级别 1省 2市 3区")
    private Integer level;

    /**
     * 版本号(新增一个+1)
     */
    @ApiModelProperty("版本号(新增一个+1)")
    private Integer version;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<AreaCode> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<AreaCode> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

