package cn.com.ty.lift.ud.bannerImage.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 轮播图 轮播图管理
 *
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "轮播图 轮播图管理")
@TableName(value = "banner_image")
public class BannerImageEntity extends BaseEntity {

    /**
     * banner图地址
     */
    @ApiModelProperty("轮播图")
    private String image;

    /**
     * 排序 排列顺序
     */
    @ApiModelProperty("排序 排列顺序")
    private Integer serialNo;

    /**
     * 2：物业端banner图
     * 1：工具台banner
     * 3. 4.0首页banner图
     */
    @ApiModelProperty("2：物业端banner图 1：工具台banner 3. 4.0首页banner图")
    private int type;

    /**
     * banner跳转地址
     */
    @ApiModelProperty("banner跳转地址")
    private String url;

    /**
     * 1.pdf
     * 2.网页链接
     */
    @ApiModelProperty("1.pdf 2.网页链接")
    private Integer jumpType;

    /**
     * 数据id 对应数据表的id
     */
    @ApiModelProperty("数据id 对应数据表的id")
    private Integer dataId;

    /**
     * 类型 模块类型
     */
    @ApiModelProperty("类型 模块类型")
    private Integer dataTable;

    /**
     * 图片名称 图片名字
     */
    @ApiModelProperty("图片名称 图片名字")
    private String imgName;

    /**
     * 图片地址 图片地址
     */
    @ApiModelProperty("图片地址 图片地址")
    private String imgUrl;

    /**
     * 描述 图片描述
     */
    @ApiModelProperty("描述 图片描述")
    private String imgDesc;


    /**
     * 状态 0:正常1:不再前台显示
     */
    @ApiModelProperty("状态 0:正常1:不再前台显示")
    private Integer statuz;

}
