package cn.com.ty.lift.ud.chat.controller;

import cn.com.ty.lift.ud.common.BaseController;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.chat.controller.query.ChatUnreadMsgQuery;
import cn.com.ty.lift.ud.chat.mapper.entity.ChatUnreadMsgEntity;
import cn.com.ty.lift.ud.chat.service.IChatUnreadMsgService;

import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户未读聊天消息记录 （已读就删除。）API
 * 
 * @author Xson
 * @date 2020-05-14
 */
@Api(tags = "用户未读聊天消息记录 （已读就删除。）API")
@RestController
@RequestMapping("/api/chatUnreadMsgs")
public class ChatUnreadMsgController extends BaseController<ChatUnreadMsgEntity,ChatUnreadMsgQuery> {

    private final Logger log = LoggerFactory.getLogger(ChatUnreadMsgController.class);
    
    private @Autowired IChatUnreadMsgService chatUnreadMsgService;

    @Override
    protected IService<ChatUnreadMsgEntity> getService() {
        return chatUnreadMsgService;
    }
}