package cn.com.ty.lift.ud.chat.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.chat.mapper.entity.ChatUnreadMsgEntity;

import java.util.Date;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户未读聊天消息记录 （已读就删除。）查询条件
 * 
 * @author Xson
 * @date 2020-05-14
 */
@Data
@ApiModel(description = "用户未读聊天消息记录 （已读就删除。）查询条件")
public final class ChatUnreadMsgQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * session 会话
     */
    @ApiModelProperty("session 会话")
    private String sessionid;

    /**
     * 来自
     */
    @ApiModelProperty("来自")
     private Integer fromUser;

    /**
     * 到达
     */
    @ApiModelProperty("到达")
     private Integer toUser;

    /**
     * 信息 聊天信息
     */
    @ApiModelProperty("信息 聊天信息")
    private String msg;

    /**
     * 消息类型：1文本、2图片、3视频、4语音
     */
    @ApiModelProperty("消息类型：1文本、2图片、3视频、4语音")
    private Integer type;

    /**
     * 状态 1:正常0:屏蔽
     */
    @ApiModelProperty("状态 1:正常0:屏蔽")
    private Integer statuz;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<ChatUnreadMsgEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<ChatUnreadMsgEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

