package cn.com.ty.lift.ud.chat.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 聊天记录 
 * 
 * @author Xson
 * @date 2020-04-22
 */
@ApiModel(description="聊天记录 ")
@TableName(value= "chat_msg")
@Data
public class ChatMsgEntity extends BaseEntity {

    /**
     * session 会话
     */
    @ApiModelProperty("session 会话")
    private String sessionid;

    /**
     * 来自
     */
    @ApiModelProperty("来自")
     private String fromUser;

    /**
     * 到达
     */
    @ApiModelProperty("到达")
     private String toUser;

    /**
     * 信息 聊天信息
     */
    @ApiModelProperty("信息 聊天信息")
    private String msg;

    /**
     * 状态 0:正常1:屏蔽
     */
    @ApiModelProperty("状态 0:正常1:屏蔽")
    private Integer statuz;
    
    /**
     * '消息类型：1文本、2图片、3视频、4语言'
     */
    @ApiModelProperty("'消息类型：1文本、2图片、3视频、4语言'")
    private Integer type;
  
    private transient String name;
    
    private transient String avatarUrl;
    
    private transient String signature;
    
    private transient Integer age;
    
    private transient Integer userLevel;
    
    private transient Integer gender;
    
}
