package cn.com.ty.lift.ud.chat.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 会话
 * 
 * @author Xson
 * @date 2020-04-22
 */
@ApiModel(description = "会话 ")
@TableName(value = "chat_session")
@Data
public class ChatSessionEntity extends BaseEntity {

    /**
     * 会话
     */
    @ApiModelProperty("会话")
    private String sessionid;

    /**
     * 数据id
     */
    @ApiModelProperty("数据id")
    private Integer dataId;

    /**
     * 类型 1:问诊2:问诊3:私聊
     */
    @ApiModelProperty("类型 1:问诊2:问诊3:私聊")
    private Integer dataTable;

    /**
     * 用户 会话成员
     */
    @ApiModelProperty("用户 会话成员")
    private String userId;
    /**
     * 会话秘钥
     */
    @ApiModelProperty("会话秘钥")
    private String pwd;

    /**
     * 房间入口状态：1、打开0关闭
     */
    @ApiModelProperty("房间入口状态：1、打开0关闭")
    private Integer entrance;

    /**
     * 发起人 发起人
     */
    @ApiModelProperty("发起人 发起人")
    private String createUserId;

    /**
     * 状态 0:正常1:屏蔽
     */
    @ApiModelProperty("状态 1:正常 0:屏蔽")
    private Integer statuz;

    /**
     * 是否置顶 1置顶，0不置顶
     */
    @ApiModelProperty("是否置顶 1置顶，0不置顶")
    private Integer topFlag;

    private transient String userName;
    private transient String avatarUrl;
    private transient Integer acceptStatus;
    private transient Integer caseType;
    private transient String expression;
    private transient String name;
    private transient String lastMsg;
    private transient Long lastTime;
    //0已读，1未读。
    private transient Integer isRed;
    private transient String kindlyName;
    //有用，别删除，chat_session user_id 数据格式是123,456。userIdd用来接受一个id的
    private transient String targetId;
}
