package cn.com.ty.lift.ud.company.controller.query;

import cn.com.ty.lift.ud.company.mapper.entity.CompanyBillEntity;

import java.math.BigDecimal;
import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 公司账单流水 查询条件
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "公司账单流水 查询条件")
public final class CompanyBillQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 公司
     */
    @ApiModelProperty("公司")
     private Integer companyId;

    /**
     * 交易额
     */
    @ApiModelProperty("交易额")
    private BigDecimal amount;

    /**
     * 账户余额
     */
    @ApiModelProperty("账户余额")
    private BigDecimal balance;

    /**
     * 交易类型
     */
    @ApiModelProperty("交易类型")
    private Integer type;

    /**
     * 流水号
     */
    @ApiModelProperty("流水号")
     private String flowNum;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String descr;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<CompanyBillEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<CompanyBillEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

