package cn.com.ty.lift.ud.company.controller.query;

import cn.com.ty.lift.ud.company.mapper.entity.CompanyEntity;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 公司 查询条件
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "公司 查询条件")
public final class CompanyQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 公司名称
     */
    @ApiModelProperty("公司名称")
    private String name;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    /**
     * 法人
     */
    @ApiModelProperty("法人")
    private String corporator;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String telephone;

    /**
     * 主要业务
     */
    @ApiModelProperty("主要业务")
    private String mainbusiness;

    /**
     * 企业类型 1:民营企业2:国企3:外资
     */
    @ApiModelProperty("企业类型 1:民营企业2:国企3:外资")
    private Integer type;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<CompanyEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<CompanyEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

