package cn.com.ty.lift.ud.coupon.mapper.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 卡券
 * 
 * @author Xson
 * @date 2020-05-08
 */
@Data
@ApiModel(description = "卡券 ")
@TableName(value = "coupon")
public class Coupon extends BaseEntity {

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 类型 1:折扣卷2:红包
     */
    @ApiModelProperty("类型 1:折扣卷2:红包")
    private Integer type;

    /**
     * 折扣
     */
    @ApiModelProperty("折扣")
    private BigDecimal discount;

    /**
     * 面值
     */
    @ApiModelProperty("面值")
    private BigDecimal price;

    /**
     * 满多少可用
     */
    @ApiModelProperty("满多少可用")
    private BigDecimal fullReduction;

    /**
     * 使用范围 1:出诊问诊2:题库3:视频
     */
    @ApiModelProperty("使用范围 0:全场通用1:出诊问诊2:题库3:视频")
    private Integer scenario;

    /**
     * 有效期
     */
    @ApiModelProperty("有效期")
    private Date validity;

    /**
     * 状态 0:正常1:不再前台显示
     */
    @ApiModelProperty("状态 1:正常0:不显示")
    private Integer statuz;

    /**
     * 审核状态 1:通过0:驳回2:待审核
     */
    @ApiModelProperty("审核状态 1:通过0:驳回2:待主管审核,3等待财务审核")
    private Integer checkFalg;

    /**
     * 驳回原因
     */
    @ApiModelProperty("驳回原因")
    private String reason;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;


    /**
     * 红包总个数
     */
    @ApiModelProperty("红包总个数")
    private Integer num;


    /**
     * 红包总额
     */
    @ApiModelProperty("红包总额")
    private BigDecimal totalPrice;
}
