package cn.com.ty.lift.ud.dataBank.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftCertificateEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 操作证查询条件
 * 
 * @author Xson
 * @date 2020-05-19
 */
@Data
@ApiModel(description = "操作证查询条件")
public final class LiftCertificateQuery extends BasePageQuery {

     private Long id;

    /**
     * 拥有者ID
     */
    @ApiModelProperty("拥有者ID")
     private Long ownerId;

    /**
     * 维保公司id
     */
    @ApiModelProperty("维保公司id")
     private Long mtCompanyId;

    /**
     * 操作证号
     */
    @ApiModelProperty("操作证号")
    private String code;

    /**
     * 发证单位
     */
    @ApiModelProperty("发证单位")
     private String issuanceAgency;

    /**
     * 有效期
     */
    @ApiModelProperty("有效期")
     private Date expirationDate;

    /**
     * 证件类型
     */
    @ApiModelProperty("证件类型")
     private String certificateType;

    /**
     * 第一张图片路径
     */
    @ApiModelProperty("第一张图片路径")
     private String firstImgUrl;

    /**
     * 第二张图片路径
     */
    @ApiModelProperty("第二张图片路径")
     private String secondImgUrl;

    /**
     * 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
     */
    @ApiModelProperty("0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期")
    private Integer statuz;

    /**
     * 创建者id
     */
    @ApiModelProperty("创建者id")
     private Long creatorId;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createDate;

    /**
     * 修改者id
     */
    @ApiModelProperty("修改者id")
     private Long updateId;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
     private Date updateDate;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<LiftCertificateEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<LiftCertificateEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

