package cn.com.ty.lift.ud.dataBank.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 操作证
 * 
 * @author Xson
 * @date 2020-05-19
 */
@Data
@ApiModel(description="操作证")
@TableName(value= "lift_certificate")
public class LiftCertificateEntity extends BaseEntity {


        /**
         * 拥有者ID
         */
        @ApiModelProperty("拥有者ID")
        private Long ownerId;

        /**
         * 维保公司id
         */
        @ApiModelProperty("维保公司id")
        private Long mtCompanyId;

        /**
         * 操作证号
         */
        @ApiModelProperty("操作证号")
        private String code;

        /**
         * 发证单位
         */
        @ApiModelProperty("发证单位")
        private String issuanceAgency;

        /**
         * 有效期
         */
        @ApiModelProperty("有效期")
        private Date expirationDate;

        /**
         * 证件类型
         */
        @ApiModelProperty("证件类型")
        private String certificateType;

        /**
         * 第一张图片路径
         */
        @ApiModelProperty("第一张图片路径")
        private String firstImgUrl;

        /**
         * 第二张图片路径
         */
        @ApiModelProperty("第二张图片路径")
        private String secondImgUrl;

        /**
         * 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
         */
        @ApiModelProperty("0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期")
        private Integer statuz;



}
