package cn.com.ty.lift.ud.dataBank.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 资料库文件
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "资料库文件 ")
@TableName(value = "lift_file")
public class LiftFileEntity extends BaseEntity {

	/**
	 * 品牌
	 */
	@ApiModelProperty("品牌")
	private Integer brandId;

	/**
	 * 类型 1:tsg2:品牌资料3:系统资料
	 */
	@ApiModelProperty("类型 1:tsg2:品牌资料3:系统资料")
	private Integer dataTable;

	/**
	 * 数据id
	 */
	@ApiModelProperty("数据id")
	private Integer dataId;

	/**
	 * 资料分类
	 */
	@ApiModelProperty("资料分类")
	private Integer catagoryId;

	/**
	 * 文件名
	 */
	@ApiModelProperty("文件名")
	private String name;

	/**
	 * 文件地址
	 */
	@ApiModelProperty("文件地址")
	private String url;

	/**
	 * 状态 0:正常1:屏蔽
	 */
	@ApiModelProperty("状态 0:正常1:屏蔽")
	private Integer statuz;

	/**
	 * 浏览量
	 */
	@ApiModelProperty("浏览量")
	private Integer browseNum;

	/**
	 * 排序
	 */
	@ApiModelProperty("排序")
	private Integer sort;
	
	/**
	 * 下载量
	 */
	@ApiModelProperty("下载量")
	private Integer downloadNum;
	
	private transient String brandName;
	
	private transient String catagoryName;
	
	private transient String dataTableName;
	
	private transient String controName;
	
}
