package cn.com.ty.lift.ud.expertComment.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊单评论
 *
 * @author Xson
 * @date 2020-05-06
 */
@Data
@ApiModel(description = "诊单评论  ")
@TableName(value = "expert_comment")
public class ExpertCommentEntity extends BaseEntity {


    /**
     * 技术服务
     */
    @ApiModelProperty("技术服务")
    private Integer tech;

    /**
     * 反应速度
     */
    @ApiModelProperty("反应速度")
    private Integer responseSpeed;

    /**
     * 服务态度
     */
    @ApiModelProperty("服务态度")
    private Integer attitude;

    /**
     * 评论内容
     */
    @ApiModelProperty("评论内容")
    private String comment;

    /**
     * 专家id
     */
    @ApiModelProperty("专家id")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long expertId;

    /**
     * 状态 1: 屏蔽 0:不屏蔽
     */
    @ApiModelProperty("状态  1: 屏蔽 0:不屏蔽")
    private Integer statuz;


    /**
     * 评论人id
     */
    @ApiModelProperty("评论人id")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;

    /**
     * 诊单ID
     */
    @ApiModelProperty("诊单ID")
    private Long lifeCaseId;

    /**
     * 平均分，三者求和向下取整
     */
    @ApiModelProperty("平均分，三者求和向下取整")
    private  Integer averageScore;

    /**
     * 专家姓名
     */
    @ApiModelProperty("专家姓名")
    private transient String expertName;

    /**
     * 评论人姓名
     */
    @ApiModelProperty("评论人姓名")
    private transient String userName;

    /**
     * 用户头像
     */
    @ApiModelProperty("用户头像")
    private transient String userUrl;

    /**
     * 用户手机号
     */
    @ApiModelProperty("用户手机号")
    private transient String mobile;

    /**
     * 问题描述
     */
    @ApiModelProperty("问题描述")
    private transient String expression;




}
