package cn.com.ty.lift.ud.liftCaseAppeal.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊单申诉
 *
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "诊单申诉 ")
@TableName(value = "lift_case_appeal")
public class LiftCaseAppealEntity extends BaseEntity {


    /**
     * 申诉内容
     */
    @ApiModelProperty("申诉内容")
    private String content;

    /**
     * 图片
     */
    @ApiModelProperty("图片")
    private String imgs;

    /**
     * 状态 1未结束  2 驳回 3 已结束 4已退款
     */
    @ApiModelProperty("状态 1未结束  2 驳回 3 已结束 4已退款")
    private Integer statuz;

    /**
     * 数据id,对应诊单ID
     */
    @ApiModelProperty("数据id,对应诊单ID")
    private Long dataId;

    /**
     * 申述人
     */
    @ApiModelProperty("申述人")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long appealerId;

    /**
     * 取消原因
     */
    @ApiModelProperty("取消原因，驳回原因")
    private String cancelSeason;

    /**
     * 专家姓名
     */
    @ApiModelProperty("专家姓名")
    private transient String expertName;

    /**
     * 问题描述
     */
    @ApiModelProperty("问题描述")
    private transient String expression;

    /**
     * 申述人姓名
     */
    @ApiModelProperty("申述人姓名")
    private transient String userName;

    /**
     * 诊单ID
     */
    @ApiModelProperty("诊单ID")
    private transient Long caseId;

    /**
     * 会话ID
     */
    @ApiModelProperty("会话ID")
    private transient String sessionid;

    /**
     * 维修前视频
     */
    @ApiModelProperty("会话ID")
    private transient String beforeRepair;

    /**
     * 维修后视频
     */
    @ApiModelProperty("会话ID")
    private transient String afterRepair;


    /**
     * 诊单类型 1问诊2出诊
     */
    @ApiModelProperty("诊单类型 1问诊2出诊")
    private transient Integer dataTable;




}
