package cn.com.ty.lift.ud.neety.process;

import cn.com.ty.lift.ud.neety.protocol.IMP;

import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

public class ProcessorFactory {
    private static Map<String, ProcessorInterface> processorMap = new HashMap<>();

    static {
        processorMap.put(IMP.LOGINALL.getName(), new LoginProcessor());
        processorMap.put(IMP.INITROOM.getName(), new InitRoomProcessor());
        processorMap.put(IMP.CHAT.getName(), new ChatProcessor());
        processorMap.put(IMP.WEBLOGINALL.getName(), new WebLoginAllProcessor());
        processorMap.put(IMP.READ.getName(), new ReadProcessor());
        processorMap.put(IMP.LOOP.getName(), new LoonProcessor());
        processorMap.put(IMP.LOADUSERS.getName(), new LoadUsersProcessor());
    }

    public static Optional<ProcessorInterface> getOperation(String impName) {
        return Optional.ofNullable(processorMap.get(impName));
    }
}
