package cn.com.ty.lift.ud.operation.controller.query;

import cn.com.ty.lift.ud.operation.mapper.entity.CommissionSettingEntity;
import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 抽成设置 查询条件
 * 
 * @author Xson
 * @date 2020-05-15
 */
@Data
@ApiModel(description = "抽成设置 查询条件")
public final class CommissionSettingQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;

    /**
     * 专家入驻前期，问题个数
     */
    @ApiModelProperty("专家入驻前期，问题个数")
     private Integer newExpertAnswerNum;

    /**
     * 专家入驻前期，补贴金额
     */
    @ApiModelProperty("专家入驻前期，补贴金额")
     private BigDecimal newExpertBoon;

    /**
     * 专家抽成服务费
     */
    @ApiModelProperty("专家抽成服务费")
     private BigDecimal expertCommission;

    /**
     * 学堂抽成服务费
     */
    @ApiModelProperty("学堂抽成服务费")
     private BigDecimal schoolCommission;

    /**
     * 题库抽成服务费
     */
    @ApiModelProperty("题库抽成服务费")
     private BigDecimal questionCommission;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
     private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
     private String notExamineReason;


    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Integer versionId;

    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<CommissionSettingEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<CommissionSettingEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

