package cn.com.ty.lift.ud.operation.controller.query;

import cn.com.ty.lift.ud.operation.mapper.entity.ExpertLevelSettingEntity;
import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 专家评论升级规则 查询条件
 * 
 * @author Xson
 * @date 2020-05-15
 */
@Data
@ApiModel(description = "专家评论升级规则 查询条件")
public final class ExpertLevelSettingQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 评论1星
     */
    @ApiModelProperty("评论1星")
     private Integer scoreOne;

    /**
     * 评论2星
     */
    @ApiModelProperty("评论2星")
     private Integer scoreTwo;

    /**
     * 评论3星
     */
    @ApiModelProperty("评论3星")
     private Integer scoreThree;

    /**
     * 评论4星
     */
    @ApiModelProperty("评论4星")
     private Integer scoreFour;

    /**
     * 评论5星
     */
    @ApiModelProperty("评论5星")
     private Integer scoreFive;

    /**
     * 升级1星
     */
    @ApiModelProperty("升级1星")
     private Integer levelOne;

    /**
     * 升级2星
     */
    @ApiModelProperty("升级2星")
     private Integer leveiTwo;

    /**
     * 升级3星
     */
    @ApiModelProperty("升级3星")
     private Integer levelThree;

    /**
     * 升级4星
     */
    @ApiModelProperty("升级4星")
     private Integer levelFour;

    /**
     * 升级5星
     */
    @ApiModelProperty("升级5星")
     private Integer levelFive;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交 ")
     private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
     private String notExamineReason;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;


    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Integer versionId;


    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<ExpertLevelSettingEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<ExpertLevelSettingEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

