package cn.com.ty.lift.ud.operation.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.operation.mapper.entity.OtherSettingEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 其他设置 查询条件
 * 
 * @author Xson
 * @date 2020-05-16
 */
@Data
@ApiModel(description = "其他设置 查询条件")
public final class OtherSettingQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;

    /**
     * 平台指定专家收费金额
     */
    @ApiModelProperty("平台指定专家收费金额")
     private BigDecimal appointExpertPrice;

    /**
     * 附近人范围设置 单位公里
     */
    @ApiModelProperty("附近人范围设置 单位公里")
     private Integer nearPeopleArea;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
     private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
     private String notExamineReason;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
     private Integer versionId;


    /**
     * 默认税率
     */
    @ApiModelProperty("默认税率")
    private BigDecimal defaultTax;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<OtherSettingEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<OtherSettingEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

