package cn.com.ty.lift.ud.operation.controller.query;

import cn.com.ty.lift.ud.operation.mapper.entity.TaxSettingEntity;

import java.math.BigDecimal;
import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.question.mapper.entity.QuestionBankEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 税率设置 查询条件
 * 
 * @author Xson
 * @date 2020-05-04
 */
@Data
@ApiModel(description = "税率设置 查询条件")
public final class TaxSettingQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;

    /**
     * 类目
     */
    @ApiModelProperty("类目")
     private String taxName;

    /**
     * 税率
     */
    @ApiModelProperty("税率")
     private BigDecimal taxRate;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
     private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
     private String notExamineReason;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<QuestionBankEntity> query = new QueryWrapper<>();
        //税率设置显示所有状态的，税率审批只显示还没审批的
        if(null != examineFlag){
            query.eq("examine_flag", examineFlag);
        }
        query.orderByDesc("create_time");
        query.eq("1",1);
        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<TaxSettingEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

