package cn.com.ty.lift.ud.operation.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.operation.mapper.entity.UserRebateRuleEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户返利规则;查询条件
 * 
 * @author Xson
 * @date 2020-06-28
 */
@Data
@ApiModel(description = "查询条件")
public final class UserRebateRuleQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 价格
     */
    @ApiModelProperty("价格")
    private BigDecimal price;

    /**
     * 卡片
     */
    @ApiModelProperty("卡片")
    private String image;

    /**
     * 一级返利
     */
    @ApiModelProperty("一级返利")
    private BigDecimal rebate1;

    /**
     * 二级返利
     */
    @ApiModelProperty("二级返利")
    private BigDecimal rebate2;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
     private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
     private String notExamineReason;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<UserRebateRuleEntity> query = new QueryWrapper<>();
        //是否审批通过
        if (null != examineFlag) {
            query.eq("urr.examine_flag", examineFlag);
        }
        query.orderByDesc("urr.create_time");
        query.eq("1",1);
        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<UserRebateRuleEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

