package cn.com.ty.lift.ud.operation.controller.query;

import cn.com.ty.lift.ud.operation.mapper.entity.VipPrerogativeEntity;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 会员特权 查询条件
 * 
 * @author Xson
 * @date 2020-05-04
 */
@Data
@ApiModel(description = "会员特权 查询条件")
public final class VipPrerogativeQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 特权
     */
    @ApiModelProperty("特权")
    private String prerogative;

    /**
     * 应用范围 1:普通个人用户 2:vip个人用户 3:普通企业用户  4:vip企业用户
     */
    @ApiModelProperty("应用范围 1:普通个人用户 2:vip个人用户 3:普通企业用户  4:vip企业用户")
    private String scenario;

    /**
     * 类型 1专享2:折扣
     */
    @ApiModelProperty("类型 1专享2:折扣")
    private Integer type;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String descr;

    /**
     * 状态 0正常1停用
     */
    @ApiModelProperty("状态 0正常1停用")
    private Integer statuz;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
     private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
     private String notExamineReason;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<VipPrerogativeEntity> query = new QueryWrapper<>();
        //是否审批通过
        if (null != examineFlag) {
            query.eq("examine_flag", examineFlag);
        }
        query.orderByDesc("create_time");
        query.eq("1",1);
        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<VipPrerogativeEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

