package cn.com.ty.lift.ud.operation.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 抽成设置 
 * 
 * @author Xson
 * @date 2020-05-15
 */
@Data
@ApiModel(description="抽成设置 ")
@TableName(value= "commission_setting")
public class CommissionSettingEntity extends BaseEntity {



        /**
         * 专家入驻前期，问题个数
         */
        @ApiModelProperty("专家入驻前期，问题个数")
        private Integer newExpertAnswerNum;

        /**
         * 专家入驻前期，补贴金额
         */
        @ApiModelProperty("专家入驻前期，补贴金额")
        private BigDecimal newExpertBoon;

        /**
         * 专家抽成服务费
         */
        @ApiModelProperty("专家抽成服务费")
        private BigDecimal expertCommission;

        /**
         * 学堂抽成服务费
         */
        @ApiModelProperty("学堂抽成服务费")
        private BigDecimal schoolCommission;

        /**
         * 题库抽成服务费
         */
        @ApiModelProperty("题库抽成服务费")
        private BigDecimal questionCommission;

        /**
         * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
         */
        @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交 ")
        private Integer examineFlag;

        /**
         * 驳回理由
         */
        @ApiModelProperty("驳回理由")
        private String notExamineReason;

        /**
         * 版本号
         */
        @ApiModelProperty("版本号")
        private Integer versionId;


}
