package cn.com.ty.lift.ud.operation.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运营设置
 *
 * @author Xson
 * @date 2020-05-04
 */
@Data
@ApiModel(description = "运营设置 ")
@TableName(value = "operation_set")
public class OperationSetEntity extends BaseEntity {


    /**
     * 类型 1;专家评论升级规则 2:抽成设置
     */
    @ApiModelProperty("类型 1;专家评论升级规则 2:抽成设置")
    private String type;

    /**
     * score : 评论分数   lv : 升级分数  new_expert_answer_num ：专家入驻前期，问题个数
     * new_expert_boon ：专家入驻前期，补贴金额  专家入驻后期，专家抽成服务费 ：  expert_commission
     * 学堂抽成服务费 ：school_commission     题库抽成服务费  question_commission
     */
    @ApiModelProperty("score : 评论分数     lv : 升级分数    new_expert_answer_num ：专家入驻前期-问题个数" +
            "   new_expert_boon ：专家入驻前期-补贴金额      expert_commission ：专家入驻后期-专家抽成服务费   " +
            "    school_commission ：学堂抽成服务费       question_commission ：题库抽成服务费  ")
    private String code;

    /**
     * value
     */
    @ApiModelProperty("value")
    private String value;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String descr;


    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
    private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    private String notExamineReason;


}
