package cn.com.ty.lift.ud.operation.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 其他设置
 *
 * @author Xson
 * @date 2020-05-16
 */
@Data
@ApiModel(description = "其他设置 ")
@TableName(value = "other_setting")
public class OtherSettingEntity extends BaseEntity {


    /**
     * 平台指定专家收费金额
     */
    @ApiModelProperty("平台指定专家收费金额")
    private BigDecimal appointExpertPrice;

    /**
     * 附近人范围设置 单位公里
     */
    @ApiModelProperty("附近人范围设置 单位公里")
    private Double nearPeopleArea;

    /**
     * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
     */
    @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
    private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    private String notExamineReason;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Integer versionId;

    /**
     * 默认税率
     */
    @ApiModelProperty("默认税率")
    private Double defaultTax;


    /**
     * 打卡范围，单位 米
     */
    @ApiModelProperty("打卡范围，单位 米")
    private Integer clockInArea;

    /**
     * 单次提现金额
     */
    @ApiModelProperty("单次提现上限金额")
    private BigDecimal withdrawFee;

    /**
     * 每月提现次数
     */
    @ApiModelProperty("每月提现次数")
    private Integer withdrawNum;

    /**
     * 是否推送坐标点   1  是   0  否
     */
    @ApiModelProperty("是否推送坐标点   1  是   0  否")
    private Integer isPush;

    /**
     * 推送间隔时间  单位：分钟
     */
    @ApiModelProperty("推送间隔时间  单位：分钟")
    private Integer intervalTime;

}
