package cn.com.ty.lift.ud.operation.mapper.entity;

import java.util.List;

import cn.com.ty.lift.ud.tableDict.mapper.entity.TableDictVo;
import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 会员特权 
 * 
 * @author Xson
 * @date 2020-05-04
 */
@Data
@ApiModel(description="会员特权 ")
@TableName(value= "vip_prerogative")
public class VipPrerogativeEntity extends BaseEntity {

        /**
         * 特权
         */
        @ApiModelProperty("特权")
        private String prerogative;

        /**
         * 应用范围 1:普通个人用户 2:vip个人用户 3:普通企业用户  4:vip企业用户
         */
        @ApiModelProperty("应用范围 1:普通个人用户 2:vip个人用户 3:普通企业用户  4:vip企业用户")
        private String scenario;

        /**
         * 类型 1专享2:折扣
         */
        @ApiModelProperty("类型 1专享2:折扣")
        private Integer type;

        /**
         * 描述
         */
        @ApiModelProperty("描述")
        private String descr;

        /**
         * 状态 0正常1停用
         */
        @ApiModelProperty("状态 0正常1停用")
        private Integer statuz;


        /**
         * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
         */
        @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
        private Integer examineFlag;

        /**
         * 驳回理由
         */
        @ApiModelProperty("驳回理由")
        private String notExamineReason;

        /**
         * 用户类型
         */
        @ApiModelProperty("用户类型")
        private transient List<TableDictVo> userTypeList;


}
