package cn.com.ty.lift.ud.pay.controller.req;

import java.io.Serializable;

import cn.com.ty.lift.ud.pay.enums.ReawrdMoneyEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 支付请求参数对象
 * 
 * @author Csl
 * @date 2020/03/06
 */
@ApiModel(description = "支付请求参数对象")
@Data
public class PayDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "支付方式：wx、alipay", required = true)
    private String payway;

    @ApiModelProperty(value = "支付金额（元）", required = true)
    private String money;

    /**
     * 如果是打赏题库或者视频，这里的订单号就是 题库或者视频的ID，不管是余额支付还是支付宝支付
     * 问诊、出诊就是 lift_case 的 order_no ,后台生成的
      */
    @ApiModelProperty(value = "订单号", required = true)
    private String orders;

    @ApiModelProperty(value = "支付诊单类型:1.问诊2出诊", required = true)
    private Integer liftCaseType;
    @ApiModelProperty(value = "打赏类型:1.题库2视频", required = true)
    private Integer rewardType;

    /**
     * 打赏用户ID ，或者发起问诊，出诊的用户ID
     */
    @ApiModelProperty(value = "打赏用户id", required = true)
    private Long userId;

    @ApiModelProperty(value = "打赏代号", required = true)
    private ReawrdMoneyEnum reawrdMoney;
    
    @ApiModelProperty(value = "余额支付类型：CASE(问诊)，CALL(出诊)，QUESTION（题库），VIDEO(视频)", required = true)
    private String payType;

    @ApiModelProperty(value = "流水号")
    private String flowNum;

}
