package cn.com.ty.lift.ud.payment.controller.query;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceImgEntity;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 发票图片 查询条件
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Data
@ApiModel(description = "发票图片 查询条件")
public final class ApplyInvoiceImgQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 发票id
     */
    @ApiModelProperty("发票id")
     private String dataId;

    /**
     * url
     */
    @ApiModelProperty("url")
    private String url;

    /**
     * base64
     */
    @ApiModelProperty("base64")
     private String base64Code;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<ApplyInvoiceImgEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<ApplyInvoiceImgEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

