package cn.com.ty.lift.ud.payment.controller.query;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceItemEntity;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 发票项目 查询条件
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Data
@ApiModel(description = "发票项目 查询条件")
public final class ApplyInvoiceItemQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 对应数据id
     */
    @ApiModelProperty("对应数据id")
     private Integer dataId;

    /**
     * 数据类型
     */
    @ApiModelProperty("数据类型")
     private Integer dataType;

    /**
     * 发票id
     */
    @ApiModelProperty("发票id")
     private Integer invoiceId;

    /**
     * 发票行性质
     */
    @ApiModelProperty("发票行性质")
    private String fphxz;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    private String xmmc;

    /**
     * 计量单位
     */
    @ApiModelProperty("计量单位")
    private String dw;

    /**
     * 规格型号
     */
    @ApiModelProperty("规格型号")
    private String ggxh;

    /**
     * 项目数量
     */
    @ApiModelProperty("项目数量")
    private String xmsl;

    /**
     * 项目单价
     */
    @ApiModelProperty("项目单价")
    private String xmdj;

    /**
     * 项目总额
     */
    @ApiModelProperty("项目总额")
    private String xmze;

    /**
     * 税率
     */
    @ApiModelProperty("税率")
    private String sl;

    /**
     * 税额
     */
    @ApiModelProperty("税额")
    private String se;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<ApplyInvoiceItemEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<ApplyInvoiceItemEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

