package cn.com.ty.lift.ud.payment.controller.query;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceRequestEntity;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 发票申请请求记录 查询条件
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Data
@ApiModel(description = "发票申请请求记录 查询条件")
public final class ApplyInvoiceRequestQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 数据id
     */
    @ApiModelProperty("数据id")
     private Integer dataId;

    /**
     * 请求内容
     */
    @ApiModelProperty("请求内容")
     private String reqContent;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String statuz;

    /**
     * 返回内容
     */
    @ApiModelProperty("返回内容")
     private String respContent;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<ApplyInvoiceRequestEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<ApplyInvoiceRequestEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

