package cn.com.ty.lift.ud.payment.mapper;

import java.math.BigDecimal;
import java.util.List;

import cn.com.ty.lift.ud.payment.controller.query.TyBillQuery;
import cn.com.ty.lift.ud.payment.mapper.entity.TyBillEntity;
import cn.com.ty.lift.ud.payment.mapper.entity.TyBillExample;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 天域账单流水 -Repository
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface TyBillMapper extends BaseMapper<TyBillEntity> {

    /**
     * 列表查询
     * @param wrapper
     * @param query
     * @return
     */
    List<TyBillEntity> selectByQuery(@Param("ew") Wrapper wrapper, @Param("page") TyBillQuery query);

    /**
     * 查询总数量
     * @param wrapper
     * @return
     */
    int countByQuery(@Param("ew") Wrapper wrapper);

    /**
     * 计算总收入和总支出
     * @param wrapper
     * @param type
     * @return
     */
    Double sumByType(@Param("ew") Wrapper wrapper,@Param("type")Integer type);

    /**
     * 查询最近一次的余额
     * @return
     */
    @Select("select balance from ty_bill  ORDER BY create_time Desc limit 0,1")
    BigDecimal getLatestBalance();
}
