package cn.com.ty.lift.ud.payment.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 天域账单流水
 * 
 * @author Xson
 * @date 2020-04-23
 */
@ApiModel(description = "天域账单流水 ")
@TableName(value = "ty_bill")
@Data
public class TyBillEntity extends BaseEntity {
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * 用户
     */
    @ApiModelProperty("用户")
    private Long userId;

    /**
     * 交易额
     */
    @ApiModelProperty("交易额")
    private BigDecimal amount;

    /**
     * 账户余额
     */
    @ApiModelProperty("账户余额")
    private BigDecimal balance;

    /**
     * 交易类型 1：支出、2：收入
     */
    @ApiModelProperty("交易类型 1：支出、2：收入 ")
    private Integer type;

    /**
     * 1支付宝2微信3钱包
     */
    @ApiModelProperty("1支付宝2微信3钱包")
    private Integer payType;

    /**
     * 流水号
     */
    @ApiModelProperty("流水号")
    @TableField("flow_num")
    private String flowNum;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String descr;

    /**
     * 业务类型：如：2 打赏，3 充值，1 充值会员 4服务费、5提现、6提现失败退款
     * 7、余额消费 8拒絕接单退款 9专家惩罚，10，申诉退款,11，粉丝充值返利 12、现金支付'
     */
    @ApiModelProperty("业务类型：如：2 打赏，3 充值，1 充值会员 4服务费、5提现、6提现失败退款" +
            "7、余额消费 8拒絕接单退款 9专家惩罚，10，申诉退款,11，粉丝充值返利 12、现金支付'" )
    private Integer businessType;
    

    //收支统计

    @ApiModelProperty("总收入")
    private transient Double income;
    @ApiModelProperty("总支出")
    private transient Double outcome;

}
