package cn.com.ty.lift.ud.payment.mapper.entity;

import java.math.BigDecimal;

import cn.com.ty.lift.ud.payment.service.impl.UserBillServiceImpl;
import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户账单流水
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "用户账单流水 ")
@TableName(value = "user_bill")
public class UserBillEntity extends BaseEntity {

    /**
     * 用户
     */
    @ApiModelProperty("用户")
    private Long userId;

    /**
     * 收款人id
     */
    @ApiModelProperty("收款人id")
    private Long targetUserId;

    /**
     * 交易额
     */
    @ApiModelProperty("交易额")
    private BigDecimal amount;

    /**
     * 账户余额
     */
    @ApiModelProperty("账户余额")
    private BigDecimal balance;

    /**
     * 交易类型
     */
    @ApiModelProperty("交易类型1：支出、2：收入")
    private Integer type;

    /**
     * 1支付宝2微信3钱包
     */
    @ApiModelProperty("1支付宝2微信3钱包")
    private Integer payType;

    /**
     * 流水号
     */
    @ApiModelProperty("流水号")
    private String flowNum;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String descr;

    /**
     * 业务类型：如：2 打赏，3 充值，1 充值会员 4 诊单业务、5提现、6提现失败退款
     * 7、余额消费 8拒絕接单退款 9专家惩罚，10，申诉退款,11，粉丝充值返利 12、现金支付'
     */
    @ApiModelProperty("业务类型：如：2 打赏，3 充值，1 充值会员 4 诊单业务、5提现、6提现失败退款" +
            "7、余额消费 8拒絕接单退款 9专家惩罚，10，申诉退款,11，粉丝充值返利 12、现金支付'")
    private Integer businessType;

    /**
     * 用户昵称
     */
    private transient String userName;

    /**
     * 用户角色
     */
    private transient Integer rote;

    private transient String avatarUrl;

    private transient String mobile;

    //收支统计
    private transient Double income;
    private transient Double outcome;


}
