package cn.com.ty.lift.ud.payment.mapper.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户充值记录表
 * 
 * @author Xson
 * @date 2020-06-05
 */
@Data
@ApiModel(description = "")
@TableName(value = "user_recharge_detail")
public class UserRechargeDetailEntity extends BaseEntity {

    /**
     * 订单号
     */
    @ApiModelProperty("订单号")
    private String orderSn;

    /**
     * 第三方流水号
     */
    @ApiModelProperty("第三方流水号")
    private String thirdOrderSn;

    /**
     * 订单支付状态、1待支付2、已支付、3支付失败、4已取消
     */
    @ApiModelProperty("订单支付状态、1待支付2、已支付、3支付失败、4已取消")
    private Integer payStatus;

    /**
     * 支付时间
     */
    @ApiModelProperty("支付时间")
    private Date payTime;

    /**
     * 一段描述
     */
    @ApiModelProperty("一段描述")
    private String memo;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 购买产品名称
     */
    @ApiModelProperty("购买产品名称")
    private String productName;

    /**
     * 产品金额
     */
    @ApiModelProperty("产品金额")
    private BigDecimal productPrice;

    /**
     * 买家账号
     */
    @ApiModelProperty("买家账号")
    private String thirdBayAccount;

    /**
     * 支付方式：1、支付宝、2微信、3银行卡
     */
    @ApiModelProperty("支付方式：1、支付宝、2微信、3银行卡")
    private Integer payType;

}
