package cn.com.ty.lift.ud.payment.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户提现申请
 * 
 * @author Xson
 * @date 2020-04-23
 */
@ApiModel(description = "用户提现申请 ")
@TableName(value = "user_withdraw")
@Data
public class UserWithdrawEntity extends BaseEntity {

    /**
     * 用户
     */
    @ApiModelProperty("用户")
    private String userId;

    /**
     * 提现金额
     */
    @ApiModelProperty("提现金额")
    private BigDecimal amount;
    //总余额
    private BigDecimal balance;
    //冻结余额
    private BigDecimal freezeBalance;
    /**
     * 支付宝微信 1:微信2:支付宝
     */
    @ApiModelProperty("支付宝微信 1:微信2:支付宝")
    private Integer type;

    /**
     * 账号
     */
    @ApiModelProperty("账号")
    private String acount;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("驳回原因")
    private String mome;

    @ApiModelProperty("订单号")
    private String orders;

    @ApiModelProperty("支付宝流水号")
    private String tradNo;

    /**
     * 状态 0:申请1:审核2:提现3:到账
     */
    @ApiModelProperty("状态 0:申请1:审核通过2:提现3:到账4、审核不通过")
    private Integer statuz;

    private transient String userName;

    private transient String mobile;

    private transient String avatarUrl;

    private transient String expertFlag;

}
