package cn.com.ty.lift.ud.quan_news.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.quan_news.mapper.entity.QuanNews;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 电梯圈新闻公告查询条件
 *
 * @author Xson
 * @date 2020-08-05
 */
@Data
@ApiModel(description = "查询条件")
public final class QuanNewsQuery extends BasePageQuery {

    /**
     * 新闻id
     */
    @ApiModelProperty("新闻id")
    private Long id;

    /**
     * 是否置顶
     */
    @ApiModelProperty("是否置顶")
    private Integer isTop;

    /**
     * 置顶排序 0不置顶 非0就是置顶(按照数字大小排序)
     */
    @ApiModelProperty("置顶排序 0不置顶 非0就是置顶(按照数字大小排序)")
    private Integer topSerial;

    /**
     * 内容+图片
     */
    @ApiModelProperty("内容+图片")
    private String content;

    /**
     * 视频路径
     */
    @ApiModelProperty("视频路径")
    private String videoUrl;

    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private Date releaseDate;

    /**
     * 发布人名称
     */
    @ApiModelProperty("发布人名称")
    private String releaseUser;

    /**
     * 发布人id
     */
    @ApiModelProperty("发布人id")
    private Long releaseId;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;


    /**
     * 查询条件
     *
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<QuanNews> query = new QueryWrapper<>();
        query.like(title != null, "title", title)
        .orderByDesc("release_date");
        
        return query;
    }

    /**
     * 分页条件
     *
     * @return
     */
    @Override
    public IPage page() {
        Page<QuanNews> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

