package cn.com.ty.lift.ud.quan_news.mapper.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 电梯圈新闻公告
 *
 * @author Xson
 * @date 2020-08-05
 */
@Data
@ApiModel(description = "新闻表")
@TableName(value = "quan_news")
public class QuanNews {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 是否置顶
     */
    @ApiModelProperty("是否置顶")
    private Integer isTop;

    /**
     * 置顶排序 0不置顶 非0就是置顶(按照数字大小排序)
     */
    @ApiModelProperty("置顶排序 0不置顶 非0就是置顶(按照数字大小排序)")
    private Integer topSerial;

    /**
     * 内容+图片
     */
    @ApiModelProperty("内容+图片")
    private String content;

    /**
     * 视频路径
     */
    @ApiModelProperty("视频路径")
    private String videoUrl;

    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private Date releaseDate;

    /**
     * 发布人名称
     */
    @ApiModelProperty("发布人名称")
    private String releaseUser;

    /**
     * 发布人id
     */
    @ApiModelProperty("发布人id")
    private Long releaseId;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;

    /**
     * 浏览次数
     */
    @ApiModelProperty("浏览次数")
    private transient Long lookNum;

}
