package cn.com.ty.lift.ud.question.controller;

import cn.com.ty.lift.ud.question.controller.query.QuestionOperateQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.question.mapper.entity.QuestionOperateEntity;
import cn.com.ty.lift.ud.question.service.IQuestionOperateService;

import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 题库操作记录 API
 * 
 * @author Xson
 * @date 2020-04-30
 */
@Api(tags = "题库操作记录 API - 小陶")
@RestController
@RequestMapping("/api/questionOperates")
public class QuestionOperateController extends BaseController<QuestionOperateEntity, QuestionOperateQuery> {

    private final Logger log = LoggerFactory.getLogger(QuestionOperateController.class);
    
    private @Autowired IQuestionOperateService questionOperateService;

    @Override
    protected IService<QuestionOperateEntity> getService() {
        return questionOperateService;
    }
}