package cn.com.ty.lift.ud.question.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 题库
 *
 * @author Xson
 * @date 2020-04-25
 */
@Data
public class QuestionCollectDto extends BaseEntity {


    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;

    /**
     * 问题现象
     */
    @ApiModelProperty("问题现象")
    private String expression;

    /**
     * 解决方法
     */
    @ApiModelProperty("解决方法")
    private String solution;

    /**
     * 图集
     */
    @ApiModelProperty("图集")
    private String imgs;

    /**
     * 品牌
     */
    @ApiModelProperty("品牌")
    private Integer brandId;

    /**
     * 专家ID
     */
    @ApiModelProperty("专家ID")
    private Long expert;

    /**
     * 赏金
     */
    @ApiModelProperty("赏金")
    private BigDecimal reward;

    /**
     * 付费标志 1:付费看解决方法0:不强制要求
     */
    @ApiModelProperty("付费标志 1:付费看解决方法0:不强制要求")
    private Integer lockFlag;

    /**
     * 热门推荐 0:普通1:热门推荐
     */
    @ApiModelProperty("热门推荐 0:普通1:热门推荐")
    private Integer hotFlag;

    /**
     * 状态 1:正常0:下架
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;

    /**
     * 收藏数量
     */
    @ApiModelProperty("收藏数量")
    private Integer favoriteNum ;

    /**
     * 点赞数量
     */
    @ApiModelProperty("点赞数量")
    private Integer likeNum ;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
    private Integer browseNum ;

    /**
     * 打赏数量
     */
    @ApiModelProperty("打赏数量")
    private Integer tipNum ;


    /**
     * 是否审批通过 0 否 1 是  2 驳回
     */
    @ApiModelProperty("是否审批通过 0 否 1 是  2 驳回")
    private Integer examineFlag;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    private String notExamineReason;

    /**
     * 有效期，单位为 月
     */
    @ApiModelProperty("有效期，单位为 月")
    private Integer validPeriod;



    /**
     * 诊单ID
     */
    @ApiModelProperty("诊单ID")
    private Long liftCaseId;

}
