package cn.com.ty.lift.ud.question.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 题库操作记录
 * 
 * @author Xson
 * @date 2020-04-30
 */
@Data
@ApiModel(description = "题库操作记录 ")
@TableName(value = "question_operate")
public class QuestionOperateEntity extends BaseEntity {

    /**
     * 问题 题库id
     */
    @ApiModelProperty("问题 题库id")
    private Long dataId;

    /**
     * 用户 用户id
     */
    @ApiModelProperty("用户 用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 操作类型 1:浏览2:点赞3:收藏4:购买
     */
    @ApiModelProperty("操作类型 1:浏览2:点赞3:收藏4:购买")
    private Integer type;

    /**
     * 打赏支付流水号
     */
    @ApiModelProperty("*打赏支付流水号")
    private String orderSerialNumber;

}
