package cn.com.ty.lift.ud.recruitmentInfos.controller.query;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.com.ty.lift.ud.recruitmentInfos.mapper.entity.RecruitmentOperateEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 招聘操作记录 查询条件
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "招聘操作记录 查询条件")
public final class RecruitmentOperateQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 问题 题库id
     */
    @ApiModelProperty("问题 题库id")
     private Integer dataId;

    /**
     * 用户 用户id
     */
    @ApiModelProperty("用户 用户id")
     private Integer userId;

    /**
     * 操作类型 1:浏览2:点赞3:收藏4:购买
     */
    @ApiModelProperty("操作类型 1:浏览2:点赞3:收藏4:购买")
    private Integer type;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<RecruitmentOperateEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<RecruitmentOperateEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

