package cn.com.ty.lift.ud.recruitmentInfos.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import cn.com.ty.lift.ud.userresume.mapper.entity.UserResume;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 招聘投递信息
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "招聘投递信息 ")
@TableName(value = "recruitment_delivery")
public class RecruitmentDeliveryEntity extends BaseEntity {

	/**
	 * 招聘信息id
	 */
	@ApiModelProperty("招聘信息id")
	private Long dataId;

	/**
	 * 招聘信息id
	 */
	@ApiModelProperty("招聘信息id")
	@JsonSerialize(using=ToStringSerializer.class)
	private Long userId;
	
	/**
	 * 用户简历
	 */
	@ApiModelProperty("用户简历")
	private Long resumeId;
	
	/**
	 * 审核状态
	 */
	@ApiModelProperty("审核状态")
	private Long checkFalg;

	private transient RecruitmentInfoEntity recruitmentInfoEntity;
	
	private transient UserResume userResume;
}
