package cn.com.ty.lift.ud.recruitmentInfos.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import cn.com.ty.lift.ud.maintenanceCompany.mapper.entity.MaintenanceCompanyEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 招聘信息 
 * 
 * @author Xson
 * @date 2020-04-23
 */
@ApiModel(description="招聘信息 ")
@TableName(value= "recruitment_info")
@Data
public class RecruitmentInfoEntity extends BaseEntity {

    /**
     * 岗位
     */
    @ApiModelProperty("岗位")
    private String job;

    /**
     * 工资范围
     */
    @ApiModelProperty("工资范围")
     private BigDecimal upperSalary;

     private BigDecimal lowerSalary;

    /**
     * 工作年限
     */
    @ApiModelProperty("工作年限")
     private Integer upperWorking;

     private Integer lowerWorking;

    /**
     * 学历 1:高中2:大专3:本科：硕士4:博士
     */
    @ApiModelProperty("学历 1:高中2:大专3:本科：硕士4:博士")
     private Integer eduLevel;

    /**
     * 工作地点
     */
    @ApiModelProperty("工作地点")
    private String address;

    /**
     * 公司
     */
    @ApiModelProperty("公司")
     private Long companyId;

    /**
     * 岗位职责
     */
    @ApiModelProperty("岗位职责")
    private String info;

    /**
     * 收藏量
     */
    @ApiModelProperty("收藏量")
     private Integer favoriteNum;

    /**
     * 点赞量
     */
    @ApiModelProperty("点赞量")
     private Integer likeNum;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
     private Integer browseNum;

    /**
     * 热门推荐 1:否0:是
     */
    @ApiModelProperty("热门推荐 0:否1:是")
     private Integer hotFlag;

    /**
     * 紧急程度  1 急招  2 普通
     */
    @ApiModelProperty("紧急程度  1 急招  2 普通")
    private Integer emergencyFlag;

    /**
     * 是否显示薪资范围  1 显示薪资范围   2  显示 面议
     */
    @ApiModelProperty("是否显示薪资范围  1 显示薪资范围   2  显示 面议")
    private Integer salaryAreaFlag;

    /**
     * 审核 0通过1未通过
     */
    @ApiModelProperty("审核 1通过0未通过")
     private Integer checkFlag;

    /**
     * 排序
     */
    @ApiModelProperty("排序")
    private Integer sort;
    
    /**
     * 状态 0:正常1:下架
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;
    
    /**
     * 驳回原因
     */
    @ApiModelProperty("驳回原因")
    private String reason;
    
    @ApiModelProperty("省")
    private String provinceName;
    
    @ApiModelProperty("市")
    private String cityName;
    
    @ApiModelProperty("学历名称")
    private transient String eduName;
    

    private transient MaintenanceCompanyEntity company;
    
    private transient Integer isFavorite;
    
    private transient Integer isApply;
    
    private transient Long favoriteId;



}
