package cn.com.ty.lift.ud.schoolVideo.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 电梯学堂 
 * 
 * @author Xson
 * @date 2020-04-23
 */
@ApiModel(description="电梯学堂 ")
@TableName(value= "school_video")
@Data
public class SchoolVideoEntity extends BaseEntity {


    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String descr;

    /**
     * 封面图
     */
    @ApiModelProperty("封面图")
    private String cover;

    /**
     * 视频连接
     */
    @ApiModelProperty("视频连接")
    private String url;

    /**
     * 品牌
     */
    @ApiModelProperty("品牌")
     private Long brandId;

    /**
     * 专家
     */
    @ApiModelProperty("专家")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;
    
    /**
     * 赏金
     */
    @ApiModelProperty("赏金")
    private BigDecimal reward;

    /**
     * 收藏数量
     */
    @ApiModelProperty("收藏数量")
     private Integer favoriteNum;

    /**
     * 点赞量
     */
    @ApiModelProperty("点赞量")
     private Integer likeNum;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
     private Integer browseNum;

    /**
     * 热门推荐 0是1否
     */
    @ApiModelProperty("热门推荐 1是0否")
     private Integer hotFlag;

    /**
     * 打赏量
     */
    @ApiModelProperty("打赏量")
     private Integer payNum;

    /**
     * 状态 0:正常1:下架2:未审核
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;

    /**
     * 状态 0:正常1:下架2:未审核
     */
    @ApiModelProperty("状态 1:通过0:驳回2待审核")
    private Integer checkFlag;
    
    /**
     * 审核不通过原因
     */
    @ApiModelProperty("审核不通过原因")
     private String checkComment;

    /**
     * 平台发布标志 0:平台发布1:用户发布
     */
    @ApiModelProperty("平台发布标志 0:平台发布1:用户发布")
     private Integer platformFlag;

    @ApiModelProperty("品牌名称")
    private transient String brandName;
    
    @ApiModelProperty("是否收藏")
    private transient Integer isFavorite;;
    
    @ApiModelProperty("是否点赞")
    private transient Integer isLike;
    
    @ApiModelProperty("头像")
    private transient String avatarUrl;
    
    @ApiModelProperty("昵称")
    private transient String nickname;
   
    @ApiModelProperty("收藏id")
    private transient Long favoriteId;
    
    @ApiModelProperty("点赞id")
    private transient Long likeId;
    
    @ApiModelProperty("是否打赏")
    private transient Integer isExceptional;

}
