package cn.com.ty.lift.ud.schoolVideo.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 电梯学堂操作记录
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "电梯学堂操作记录 ")
@TableName(value = "school_video_operate")
public class SchoolVideoOperateEntity extends BaseEntity {

    /**
     * 问题 题库id
     */
    @ApiModelProperty("问题 题库id")
    private Long dataId;

    /**
     * 用户 用户id
     */
    @ApiModelProperty("用户 用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 操作类型 1:浏览2:点赞3:收藏4:购买
     */
    @ApiModelProperty("操作类型 1:浏览2:点赞3:收藏4:购买")
    private Integer type;

    /**
     * 第三方流水号
     */
    @ApiModelProperty("第三方流水号")
    private String thirdOrderSn;

}
