package cn.com.ty.lift.ud.searchHistory.controller.query;


import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.searchHistory.mapper.entity.SearchHistoryEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 搜索历史表查询条件
 * 
 * @author tw
 * @date 2020-11-17
 */
@Data
@ApiModel(description = "查询条件")
public final class SearchHistoryQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 关键字
     */
    @ApiModelProperty("关键字")
     private String keyWord;

    /**
     * 搜索次数
     */
    @ApiModelProperty("搜索次数")
     private Integer searchTimes;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
     private String updateBy;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<SearchHistoryEntity> query = new QueryWrapper<>();
        //按搜索量倒序
        query.orderByDesc("search_times");
        query.eq("1",1);
        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<SearchHistoryEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

