package cn.com.ty.lift.ud.searchIndex.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.searchIndex.mapper.entity.SearchIndexEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 搜索索引表查询条件
 * 
 * @author Xson
 * @date 2020-05-09
 */
@Data
@ApiModel(description = "搜索索引表查询条件")
public final class SearchIndexQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 表名
     */
    @ApiModelProperty("表名")
     private String tableName;

    /**
     * 列名
     */
    @ApiModelProperty("列名")
     private String coloumName;

    /**
     * 关键字
     */
    @ApiModelProperty("关键字")
     private String keyWord;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
     private String updateBy;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
     private Date updateTime;

    /**
     * 对应的表的数据主键ID
     */
    @ApiModelProperty("对应的表的数据主键ID")
    private Long tableId;

    /**
     * 模块ID  1：题库管理  2：视频管理 3：商品管理  4：招聘管理
     */
    @ApiModelProperty("模块ID  1：题库管理  2：视频管理 3：商品管理  4：招聘管理")
    private Integer moduleId;

    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<SearchIndexEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<SearchIndexEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

