package cn.com.ty.lift.ud.systemMenu.controller;


import cn.com.ty.lift.ud.common.BaseController;
import cn.com.ty.lift.ud.systemMenu.controller.query.MenuQuery;
import cn.com.ty.lift.ud.systemMenu.mapper.entity.Menu;
import cn.com.ty.lift.ud.systemMenu.service.IMenuService;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 菜单表API
 *
 * @author Xson
 * @date 2020-06-30
 */
@Api(tags = "菜单api")
@RestController
@RequestMapping("/api/system-menus")
public class MenuController extends BaseController<Menu, MenuQuery> {

    private final Logger log = LoggerFactory.getLogger(MenuController.class);

    private @Autowired
    IMenuService menuService;

    @Override
    protected IService<Menu> getService() {
        return menuService;
    }
}