package cn.com.ty.lift.ud.systemMenu.mapper.entity;

import java.math.BigDecimal;
import java.util.Date;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 菜单表
 *
 * @author Xson
 * @date 2020-06-30
 */
@Data
@ApiModel(description = "")
@TableName(value = "menu")
public class Menu extends BaseEntity {
    /**
     * 父id
     */
    @ApiModelProperty("父id")
    private Long parentId;

    /**
     * 菜单名称
     */
    @ApiModelProperty("菜单名称")
    private String name;

    /**
     * 菜单编码
     */
    @ApiModelProperty("菜单编码")
    private String code;

    /**
     * 菜单路径
     */
    @ApiModelProperty("菜单路径")
    private String url;

    /**
     * 菜单类型：1：菜单名，2：操作
     */
    @ApiModelProperty("菜单类型：1：菜单名，2：操作")
    private String type;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String description;

    /**
     * 是否默认菜单，0表示不是，1表示是
     */
    @ApiModelProperty("是否默认菜单，0表示不是，1表示是")
    private Integer defaultFlag;


}
