package cn.com.ty.lift.ud.templateBase.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.templateBase.mapper.entity.MaintenanceSetOptionEntity;

import java.util.Date;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 维保项-套餐关联表 查询条件
 * 
 * @author Xson
 * @date 2020-04-29
 */
@Data
@ApiModel(description = "维保项-套餐关联表 查询条件")
public final class MaintenanceSetOptionQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 维保项id
     */
    @ApiModelProperty("维保项id")
     private Integer optionId;

    /**
     * 维保套餐id
     */
    @ApiModelProperty("维保套餐id")
     private Integer setId;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<MaintenanceSetOptionEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<MaintenanceSetOptionEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

