package cn.com.ty.lift.ud.templateBase.mapper.entity;

import java.time.LocalDateTime;

import cn.com.ty.lift.ud.common.BaseEntity;
import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 维保项 
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description="维保项 ")
@TableName(value= "maintenance_option")
public class MaintenanceOptionEntity extends BaseEntity {

        /**
         * 维保项 维保项
         */
        @ApiModelProperty("维保项 维保项")
        @TableField(value = "item")
        private String opt;

        /**
         * 内容 维保项内容
         */
        @TableField(value = "content")
        @ApiModelProperty("内容 维保项内容")
        private String requirement;

        /**
         * 状态 1:上架 0:下架
         */
        @ApiModelProperty("状态 1:上架 0:下架")
        @TableField(value = "status")
        private Integer statuz;

        /**
         * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
         */
        @ApiModelProperty("电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)")
        @TableField(value = "lift_category")
        private String driveType;

        /**
         * 保养时间类型  ''1.半月，2.季度，3.半年，4.全年
         */
        @ApiModelProperty("保养时间类型  ''1.半月，2.季度，3.半年，4.全年")
        @TableField(value = "type")
        private String validTime;

        /**
         * 维保公司ID
         */
        @TableField(value = "mt_company_id")
        @ApiModelProperty("维保公司ID")
        private Long mtCompanyId;

        /**
         * 创建者id
         */
        @ApiModelProperty(value = "创建人id")
        @TableField(value = "create_user_id", fill = FieldFill.INSERT)
        private String createBy;


        /**
         * 修改者id
         */
        @ApiModelProperty(value = "修改人")
        @TableField(value = "update_user_id", fill = FieldFill.INSERT_UPDATE)
        private String updateBy;


        /**
         * 创建时间 默认为系统当前时间
         */
        @ApiModelProperty(value = "创建时间")
        @TableField(value = "create_time", fill = FieldFill.INSERT)
        @JsonSerialize(using = LocalDateTimeConverter.class)
        private LocalDateTime createTime;



        /**
         * 修改时间 默认为系统当前时间
         */
        @ApiModelProperty(value = "修改时间")
        @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
        @JsonSerialize(using = LocalDateTimeConverter.class)
        private LocalDateTime updateTime;




}
