package cn.com.ty.lift.ud.templateBase.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 维保套餐
 *
 * @author Xson
 * @date 2020-04-29
 */
@Data
@ApiModel(description = "维保套餐 ")
@TableName(value = "maintenance_set")
public class MaintenanceSetEntity extends BaseEntity {


    /**
     * 分类 1:系统模板2:企业模板
     */
    @ApiModelProperty("分类 1:系统模板2:企业模板")
    private Integer type;

    /**
     * 公司id 所属企业
     */
    @ApiModelProperty("公司id 所属企业")
    private Integer companyId;

    /**
     * 名称 模板套餐名称
     */
    @ApiModelProperty("名称 模板套餐名称")
    private String name;

    /**
     * 总量 该模板套餐一共有多少个维保项类目
     */
    @ApiModelProperty("总量 该模板套餐一共有多少个维保项类目")
    private Integer amount;

    /**
     * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
     */
    @ApiModelProperty("电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)")
    private String driveType;

    /**
     * 保养时间类型  ''1.半月，2.季度，3.半年，4.全年
     */
    @ApiModelProperty("保养时间类型  ''1.半月，2.季度，3.半年，4.全年")
    private String validTime;


    /**
     * 状态 1:上架 0:下架
     */
    @ApiModelProperty("状态 1:上架 0:下架")
    private Integer statuz;

    /**
     * 维保项集合
     */
    @ApiModelProperty("维保项集合")
    private transient List<Long> ids;

    /**
     * 维保项名称
     */
    @ApiModelProperty("维保项名称")
    private transient String opt;

    /**
     * 维保内容
     */
    @ApiModelProperty("维保内容")
    private transient String requirement;

    /**
     * 对应维保项id
     */
    @ApiModelProperty("对应维保项id")
    private transient Long opId;



}
