package cn.com.ty.lift.ud.userAccount.controller.query;

import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.com.ty.lift.ud.userAccount.mapper.entity.UserAccount;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户账号表 查询条件
 * 
 * @author Xson
 * @date 2020-05-13
 */
@Data
@ApiModel(description = "用户账号表 查询条件")
public final class UserAccountQuery extends BasePageQuery {

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
     private Long userId;

    /**
     * 用户类型：0：超级管理员，1：平台管理员，2：企业管理员，3：普通用户
     */
    @ApiModelProperty("用户类型：0：超级管理员，1：平台管理员，2：企业管理员，3：普通用户")
    private Integer type;

    /**
     * 小梯号
     */
    @ApiModelProperty("小梯号")
    private String account;

    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;

    /**
     * 盐
     */
    @ApiModelProperty("盐")
    private String salt;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 微信openid
     */
    @ApiModelProperty("微信openid")
     private String wechatOpenId;

    /**
     * 邮件
     */
    @ApiModelProperty("邮件")
    private String email;

    /**
     * 暂不用
     */
    @ApiModelProperty("暂不用")
     private String otherAccount;

    /**
     * 暂不用
     */
    @ApiModelProperty("暂不用")
     private String otherAccount2;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remarks;

    /**
     * 注册时间
     */
    @ApiModelProperty("注册时间")
     private Date createDate;

    /**
     * 删除标识 1:已删除  0：未删除
     */
    @ApiModelProperty("删除标识 1:已删除  0：未删除")
     private Integer deleteFlag;

    /**
     * 是否专家表示，1：是专家，0：不是专家
     */
    @ApiModelProperty("是否专家表示，1：是专家，0：不是专家")
     private Integer expertFlag;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<UserAccount> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<UserAccount> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

