package cn.com.ty.lift.ud.userAgreement.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户协议
 * 
 * @author Xson
 * @date 2020-05-13
 */
@Data
@ApiModel(description = "用户协议 ")
@TableName(value = "user_agreement")
public class UserAgreement extends BaseEntity {

    /**
     * 协议名称
     */
    @ApiModelProperty("协议名称")
    private String name;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createUserId;

    /**
     * 文件url
     */
    @ApiModelProperty("文件url")
    private String url;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String fileName;

    /**
     * 模板
     */
    @ApiModelProperty("模板")
    private String template;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer statuz;

    /**
     * 类型
     */
    @ApiModelProperty("类型1用户2专家")
    private Integer type;

    @ApiModelProperty("用户昵称")
    private transient String nickname;

    @ApiModelProperty("用户头像")
    private transient String headUrl;
}
