package cn.com.ty.lift.ud.userCollect.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.question.mapper.entity.QuestionBankEntity;
import cn.com.ty.lift.ud.userCollect.mapper.entity.UserCollectEntity;

import java.util.Date;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 我的收藏 查询条件
 * 
 * @author Xson
 * @date 2020-04-28
 */
@Data
@ApiModel(description = "我的收藏 查询条件")
public final class UserCollectQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 对应的主键ID
     */
    @ApiModelProperty("对应的主键ID")
     private Integer infoId;

    /**
     * 收藏类型  1问题   2视频  3职位  4商品  5资料
     */
    @ApiModelProperty("收藏类型  1问题   2视频  3职位  4商品  5资料")
     private String collectType;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
     private Integer userId;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String descr;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;


    /**
     * 当前用户ID,必传
     */
    @ApiModelProperty("当前用户ID,必传")
    private  Long uId;



    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<QuestionBankEntity> query = new QueryWrapper<>();
        //排序
        query.orderByDesc("uc.create_time");

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<UserCollectEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

