package cn.com.ty.lift.ud.userCollect.mapper.entity;

import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 我的收藏-问题
 *
 * @author Xson
 * @date 2020-04-28
 */
@Data
@ApiModel(description = "我的收藏-问题 ")
public class UserCollectQuestionVo {

    /**
     * 问题主键ID
     */
    @ApiModelProperty("问题主键ID")
    private Long id;

    /**
     * 专家姓名
     */
    @ApiModelProperty("专家姓名")
    private String userName;

    /**
     * 专家头像
     */
    @ApiModelProperty("专家头像")
    private String avatarUrl;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonSerialize(using = LocalDateTimeConverter.class)
    private LocalDateTime createTime;

    /**
     * 点赞数量
     */
    @ApiModelProperty("点赞数量")
    private Integer likeNum;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
    private Integer browseNum;

    /**
     * 问题描述
     */
    @ApiModelProperty("问题描述")
    private String expression;

    /**
     * 解决方法
     */
    @ApiModelProperty("解决方法")
    private String solution;

    /**
     * 图集
     */
    @ApiModelProperty("图集")
    private String imgs;

    /**
     * 品牌名称
     */
    @ApiModelProperty("品牌名称")
    private  String brandName;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;

    /**
     * 收藏表主键ID
     */
    @ApiModelProperty("收藏表主键ID")
    private Long uid;


    /**
     * 状态 1:正常0:下架
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;

}
