package cn.com.ty.lift.ud.userCollect.mapper.entity;

import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 我的收藏-职位
 *
 * @author Xson
 * @date 2020-04-28
 */
@Data
@ApiModel(description = "我的收藏-职位 ")
public class UserCollectRecruitmentInfoVo {

    /**
     * 职位主键ID
     */
    @ApiModelProperty("职位主键ID")
    private Long id;

    /**
     * 岗位
     */
    @ApiModelProperty("岗位")
    private String job;

    /**
     * 工资范围
     */
    @ApiModelProperty("工资范围")
    private BigDecimal upperSalary;

    private BigDecimal lowerSalary;

    /**
     * 工作年限
     */
    @ApiModelProperty("工作年限")
    private Integer upperWorking;

    private Integer lowerWorking;

    /**
     * 学历 1:高中2:大专3:本科：硕士4:博士
     */
    @ApiModelProperty("学历 1:高中2:大专3:本科：硕士4:博士")
    private Integer eduLevel;

    /**
     * 工作地点
     */
    @ApiModelProperty("工作地点")
    private String address;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonSerialize(using = LocalDateTimeConverter.class)
    private LocalDateTime createTime;

    /**
     * 公司名称
     */
    @ApiModelProperty("公司名称")
    private String companyName;


    /**
     * 收藏表主键ID
     */
    @ApiModelProperty("收藏表主键ID")
    private Long uid;

    /**
     * 状态 1:正常0:下架
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;

    /**
     * 岗位职责
     */
    @ApiModelProperty("岗位职责")
    private String info;

    @ApiModelProperty("省")
    private String provinceName;

    @ApiModelProperty("市")
    private String cityName;
}
