package cn.com.ty.lift.ud.userCollect.mapper.entity;

import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 我的收藏-视频
 *
 * @author Xson
 * @date 2020-04-28
 */
@Data
@ApiModel(description = "我的收藏-视频 ")
public class UserCollectSchoolVideoVo {

    /**
     * 视频主键ID
     */
    @ApiModelProperty("视频主键ID")
    private Long id;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;

    /**
     * 视频连接
     */
    @ApiModelProperty("视频连接")
    private String url;

    /**
     * 点赞量
     */
    @ApiModelProperty("点赞量")
    private Integer likeNum;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
    private Integer browseNum;

    /**
     * 电梯品牌名称
     */
    @ApiModelProperty("电梯品牌名称")
    private String brandName;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonSerialize(using = LocalDateTimeConverter.class)
    private LocalDateTime createTime;

    /**
     * 收藏表主键ID
     */
    @ApiModelProperty("收藏表主键ID")
    private Long uid;

    /**
     * 封面图
     */
    @ApiModelProperty("封面图")
    private String cover;

    /**
     * 状态 1:正常0:下架
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;

}
