package cn.com.ty.lift.ud.userCollect.mapper.entity;

import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 我的收藏-商品
 *
 * @author Xson
 * @date 2020-04-28
 */
@Data
@ApiModel(description = "我的收藏-商品 ")
public class UserCollectShoppingVo {

    /**
     * 商品主键ID
     */
    @ApiModelProperty("商品主键ID")
    private Long id;


    /**
     * 电梯品牌名称
     */
    @ApiModelProperty("电梯品牌名称")
    private String bName;

    /**
     * 商品名称
     */
    @ApiModelProperty("商品名称")
    private String sName;

    /**
     * 制造商
     */
    @ApiModelProperty("制造商")
    private String manufacturer;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String telephone;

    /**
     * 图集
     */
    @ApiModelProperty("图集")
    private String imgs;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonSerialize(using = LocalDateTimeConverter.class)
    private LocalDateTime createTime;

    /**
     * 收藏表主键ID
     */
    @ApiModelProperty("收藏表主键ID")
    private Long uid;

    /**
     * 状态 1:正常0:下架
     */
    @ApiModelProperty("状态 1:正常0:下架")
    private Integer statuz;

    /**
     * 价格
     */
    @ApiModelProperty("价格")
    private BigDecimal price;

    /**
     * 折扣价
     */
    @ApiModelProperty("折扣价")
    private BigDecimal discountPrice;
}
