package cn.com.ty.lift.ud.userCoupon.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import cn.com.ty.lift.ud.common.BaseEntity;
import cn.com.ty.lift.ud.coupon.mapper.entity.Coupon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户卡券
 * 
 * @author Xson
 * @date 2020-05-12
 */
@Data
@ApiModel(description = "用户卡券 ")
@TableName(value = "user_coupon")
public class UserCoupon extends BaseEntity {

	/**
	 * 用户
	 */
	@ApiModelProperty("用户")
	@JsonSerialize(using=ToStringSerializer.class)
	private Long userId;

	/**
	 * 订单
	 */
	@ApiModelProperty("订单")
	private Long orderId;

	/**
	 * 卡券
	 */
	@ApiModelProperty("卡券")
	private Long couponId;

	/**
	 * 是否使用 0:未使用1:已使用
	 */
	@ApiModelProperty("是否使用 0:已失效1:可使用")
	private Integer usedFlag;

	/**
	 * 订单编号
	 */
	@ApiModelProperty("订单编号")
	private String orderNo;
	
	@ApiModelProperty("卡券")
	private transient Coupon coupon;

}
