package cn.com.ty.lift.ud.userInfo.mapper.entity;

import cn.com.ty.lift.ud.appmenu.mapper.entity.Appmenu;
import cn.hutool.system.UserInfo;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 *
 *
 * @author Xson
 * @date 2020-05-09
 */
@Data
public class NewUserInfoVo {

    @ApiModelProperty("用户id")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;
    @ApiModelProperty("用户手机号")
    private String mobile;
    @ApiModelProperty("用户昵称")
    private String name;
    @ApiModelProperty("用户类型")
    private Integer type;
    @ApiModelProperty("用户头像")
    private String avatarUrl;
    @ApiModelProperty("余额")
    private BigDecimal balance;
    @ApiModelProperty("app用户类型名称")
    private String userLevelName;
    @ApiModelProperty("app用户类型id")
    private Integer userLevel;
    @ApiModelProperty("专家标识")
    private Integer expertFlag;

    /**
     * 用户app菜单权限
     */
    @ApiModelProperty("用户app菜单权限")
    private List<Appmenu> appMenus;

}
