package cn.com.ty.lift.ud.userInfo.mapper.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户请求类
 */
@Data
public class UserRequest {

    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Long userId;

    /**
     * 角色id
     */
    @ApiModelProperty("app角色id")
    private Long userLevel;

    /**
     * 公司id
     */
    @ApiModelProperty("公司id")
    private Long companyId;

    /**
     * 令牌
     */
    @ApiModelProperty("令牌")
    private String token;

    /**
     * 账号(小梯号)
     */
    @ApiModelProperty("账号(小梯号)")
    private String account;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;

    /**
     * 用户昵称
     */
    @ApiModelProperty("用户昵称")
    private String name;

    /**
     * 查询条件
     */
    @ApiModelProperty("查询条件")
    private String queryCondition;

    /**
     * 用户输入的短信验证码
     */
    @ApiModelProperty("用户输入的短信验证码")
    private String inputSmsCode;
    /**
     * 微信授权码
     */
    @ApiModelProperty("微信授权码")
    private String authCode;

    /**
     * 用户微信标识码
     */
    @ApiModelProperty("用户微信标识码")
    private String weChatOpenId;

    /**
     * 每页条数
     */
    @ApiModelProperty("每页条数")
    private Long pageSize;

    /**
     * 页数
     */
    @ApiModelProperty("页数")
    private Long pageNum;
}
