package cn.com.ty.lift.ud.userInfo.mapper.entity;

import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@ApiModel(description = "用户打赏记录视图")
public class UserRewardListVo {

    @ApiModelProperty(value = "商品id")
    private Long id;

    @ApiModelProperty(value = "付款人id")
    private Long userId;

    @ApiModelProperty(value = "收款人名称")
    private String targetUserName;

    @ApiModelProperty(value = "收款人id")
    private Long targetUserId;

    @ApiModelProperty(value = "收款人头像")
    private String targetAvatarUrl;

    @ApiModelProperty(value = "交易金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "交易时间")
    @JsonSerialize(using = LocalDateTimeConverter.class)
    private LocalDateTime createTime;
}
