package cn.com.ty.lift.ud.userInvoice.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户发票抬头
 * 
 * @author Xson
 * @date 2020-05-21
 */
@Data
@ApiModel(description = "用户发票抬头 ")
@TableName(value = "user_invoice")
public class UserInvoice extends BaseEntity {

	/**
	 * 类型 1个人2企业
	 */
	@ApiModelProperty("类型 1个人2企业")
	private Integer type;

	/**
	 * 名称 名称
	 */
	@ApiModelProperty("名称 名称")
	private String name;

	/**
	 * 电话 电话
	 */
	@ApiModelProperty("电话 电话")
	private String telephone;

	/**
	 * 邮箱 邮箱
	 */
	@ApiModelProperty("邮箱 邮箱")
	private String email;

	/**
	 * 纳税人识别码
	 */
	@ApiModelProperty("纳税人识别码")
	private String gmfNsrsbm;

	/**
	 * 公司
	 */
	@ApiModelProperty("公司")
	private String gmfMc;

	/**
	 * 公司地址
	 */
	@ApiModelProperty("公司地址")
	private String gmfDz;

	/**
	 * 公司电话
	 */
	@ApiModelProperty("公司电话")
	private String gmfDh;

	/**
	 * 开户银行
	 */
	@ApiModelProperty("开户银行")
	private String gmfYh;

	/**
	 * 银行账号
	 */
	@ApiModelProperty("银行账号")
	private String gmfZh;

	/**
	 * 用户id
	 */
	@ApiModelProperty("用户id")
	@JsonSerialize(using=ToStringSerializer.class)
	private Long userId;
	
	@ApiModelProperty("企业税号")
	private String enterpriseNumber;
	
	@ApiModelProperty("是否默认")
	private Integer isDefault;
}
