package cn.com.ty.lift.ud.userOrders.mapper.entity;

import java.math.BigDecimal;

import cn.com.ty.lift.ud.chat.mapper.entity.LiftCaseEntity;
import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.liftCaseAppeal.mapper.entity.LiftCaseAppealEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单
 * 
 * @author Xson
 * @date 2020-05-23
 */
@Data
@ApiModel(description = "订单 ")
@TableName(value = "user_orders")
public class UserOrders extends BaseEntity {

	/**
	 * 数据id 对应数据id
	 */
	@ApiModelProperty("数据id 对应数据id")
	private Long dataId;

	/**
	 * 数据关联表 出诊、问诊
	 */
	@ApiModelProperty("数据关联表 出诊、问诊")
	private Integer dataTable;

	/**
	 * 用户 用户
	 */
	@ApiModelProperty("用户 用户")
	private Long userId;

	/**
	 * 是否已开发票
	 */
	@ApiModelProperty("是否已开发票")
	private Integer isInvoice;
	
	/**
	 * 红包抵扣
	 */
	@ApiModelProperty("红包抵扣")
	private transient BigDecimal redEnvelopeDeduction;
	
	/**
	 * 红包id
	 */
	@ApiModelProperty("红包id")
	private Long redEnvelopeId;

	/**
	 * 优惠券抵扣
	 */
	@ApiModelProperty("优惠券抵扣")
	private transient BigDecimal couponDeduction;
	
	/**
	 * 优惠券id
	 */
	@ApiModelProperty("优惠券id")
	private Long couponId;

	/**
	 * 总价 总价
	 */
	@ApiModelProperty("总价 总价")
	private BigDecimal totalCost;

	/**
	 * 实际支付价 实际支付价
	 */
	@ApiModelProperty("实际支付价 实际支付价")
	private BigDecimal payCost;

	/**
	 * 订单编号 订单编号
	 */
	@ApiModelProperty("订单编号 订单编号")
	private String orderNo;

	/**
	 * 支付方式 1:微信2:支付宝
	 */
	@ApiModelProperty("支付方式 1:微信2:支付宝")
	private Integer payType;

	/**
	 * 订单状态
	 */
	@ApiModelProperty("订单状态0待付款1待确认2待评价3申诉")
	private Integer orderStatus;
	
	/**
	 * 支付宝流水号
	 */
	@ApiModelProperty("支付宝流水号")
	private String orderSerialNumber;
	
	private transient LiftCaseEntity liftCaseEntity;
	
	private transient LiftCaseAppealEntity liftCaseAppealEntity;

}
