package cn.com.ty.lift.ud.userRebate.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.userRebate.mapper.entity.UserRebateEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 个人返利记录 查询条件
 * 
 * @author Xson
 * @date 2020-05-19
 */
@Data
@ApiModel(description = "个人返利记录 查询条件")
public final class UserRebateQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
     private Integer userId;

    /**
     * 下一级用户ID
     */
    @ApiModelProperty("下一级用户ID")
     private Integer lowerUserId;

    /**
     * 状态 0正常1停用
     */
    @ApiModelProperty("状态 0正常1停用")
    private Integer statuz;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        LambdaQueryWrapper<UserRebateEntity> query = new LambdaQueryWrapper<>();

        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<UserRebateEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

