package cn.com.ty.lift.ud.userRebate.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 个人返利记录
 *
 * @author Xson
 * @date 2020-05-19
 */
@Data
@ApiModel(description = "个人返利记录 ")
@TableName(value = "user_rebate")
public class UserRebateEntity extends BaseEntity {

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 下一级用户ID
     */
    @ApiModelProperty("下一级用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long lowerUserId;

    /**
     * 状态 0正常1停用
     */
    @ApiModelProperty("状态 0正常1停用")
    private Integer statuz;

    /**
     * 上级返利金额
     */
    @ApiModelProperty("上级返利金额")
    private BigDecimal vipFee;


    /**
     * 上上级返利金额
     */
    @ApiModelProperty("上上级返利金额")
    private BigDecimal vipFeeUp;


}
