package cn.com.ty.lift.ud.userRebate.mapper.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class UserRebateVo {

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;

    /**
     * 下一级用户ID
     */
    @ApiModelProperty("下一级用户ID")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long lowerUserId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long id;

    /**
     * app角色id
     */
    @ApiModelProperty("app角色id")
    private Long userLevel;

    /**
     * 用户手机号
     */
    @ApiModelProperty("用户手机号")
    private String mobile;

    /**
     * 返利金额
     */
    @ApiModelProperty("返利金额")
    private BigDecimal rebate;

    /**
     * 会员价格
     */
    @ApiModelProperty("会员价格")
    private BigDecimal price;

    /**
     * 下一级用户信息
     */
    @ApiModelProperty("下一级用户信息")
    private List<UserRebateVo> lowerUserInfoList;

    /**
     * 下线级别   1 一级下线  2  二级下线
     */
    @ApiModelProperty("下线级别   1 一级下线  2  二级下线")
    private Integer lowerLevel;

    /**
     * 总返利金额
     */
    @ApiModelProperty("总返利金额")
    private BigDecimal rebateAll;

    /**
     * 上级返利金额
     */
    @ApiModelProperty("上级返利金额")
    private BigDecimal vipFee;

    /**
     * 上上级返利金额
     */
    @ApiModelProperty("上上级返利金额")
    private BigDecimal vipFeeUp;


}
