package cn.com.ty.lift.ud.userresume.controller.query;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.userresume.mapper.entity.UserResume;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户简历信息 查询条件
 *
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "用户简历信息 查询条件")
public final class UserResumeQuery extends BasePageQuery {
    private Long userId;
    /**
     * 查询条件
     *
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<UserResume> query = new QueryWrapper<UserResume>().eq("user_id", userId);

        return query;
    }

    /**
     * 分页条件
     *
     * @return
     */
    @Override
    public IPage page() {
        Page<UserResume> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

