package cn.com.ty.lift.ud.userresume.mapper.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import cn.com.ty.lift.ud.common.LocalDateTimeConverter;
import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户简历信息
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "用户简历信息 ")
@TableName(value = "user_resume")
public class UserResume extends BaseEntity {

	/**
	 * 用户
	 */
	@ApiModelProperty("用户")
	private Long userId;

	/**
	 * 投递人名字
	 */
	@ApiModelProperty("投递人名字")
	private String name;

	/**
	 * 性别 1:男2:女
	 */
	@ApiModelProperty("性别 1:男2:女")
	private Integer gender;

	/**
	 * 年龄
	 */
	@ApiModelProperty("年龄")
	private Integer age;

	/**
	 * 出生年月
	 */
	@ApiModelProperty("出生年月")
	private String birthday;

	/**
	 * 工龄
	 */
	@ApiModelProperty("工龄")
	private String workingTime;
	
	/**
	 * 学历
	 */
	@ApiModelProperty("学历")
	private Integer eduLevel;

	/**
	 * 电话
	 */
	@ApiModelProperty("电话")
	private String telephone;

	/**
	 * 现居地
	 */
	@ApiModelProperty("现居地")
	private String residence;

	/**
	 * 期望工资
	 */
	@ApiModelProperty("期望工资")
	private String salary;

	/**
	 * 技能
	 */
	@ApiModelProperty("技能")
	private String ability;

	/**
	 * 简介
	 */
	@ApiModelProperty("简介")
	private String intro;
	
	/**
	 * 邮箱
	 */
	@ApiModelProperty("邮箱")
	private String email;

	/**
	 * 微信
	 */
	@ApiModelProperty("微信")
	private String wechat;

	@ApiModelProperty("招聘信息id")
	private transient Long infoId;
}
