package cn.com.ty.lift.ud.utils;

import cn.com.ty.lift.ud.redis.RedisUtils;
import cn.com.ty.lift.ud.userInfo.mapper.entity.UserInfoEntity;
import cn.com.ty.lift.ud.userInfo.service.IUserInfoService;
import cn.com.ty.lift.ud.userInfo.service.impl.UserInfoServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Optional;


//@DependsOn("redisUtil")
public class CurrentUserInfo {

    private static RedisUtils redisUtil = ApplicationContextUtil.getBean(RedisUtils.class);
    private static IUserInfoService userInfoService = ApplicationContextUtil.getBean(UserInfoServiceImpl.class);

    /**
     * 获取当前登录人手机号
     * @return
     */
    public static String userMobile(){
        ServletRequestAttributes requestAttributes = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes();
        HttpServletRequest request = requestAttributes.getRequest();
        String requestToken = request.getHeader("Authorization");
        if(requestToken == null) {
            return null;
        }
        Optional<String> tokenValue = Optional.ofNullable(redisUtil.get(requestToken));
        if (tokenValue.isPresent()){
            return redisUtil.get(requestToken).substring(1,12);
        }
        return null;
    }

    /**
     * 获取当前登录人手机号
     * @return
     */
    public static UserInfoEntity userInfo(){
        ServletRequestAttributes requestAttributes = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes();
        HttpServletRequest request = requestAttributes.getRequest();
        String requestToken = request.getHeader("Authorization");
        if(requestToken == null) {
            return new UserInfoEntity();
        }
        Optional<String> tokenValue = Optional.ofNullable(redisUtil.get(requestToken));
        if (tokenValue.isPresent()){
            String mobile = redisUtil.get(requestToken).substring(1, 12);
            UserInfoEntity userInfoEntity = Optional.ofNullable(userInfoService.getOne(new QueryWrapper<UserInfoEntity>().eq("mobile", mobile)))
                    .orElse(new UserInfoEntity());

            return userInfoEntity;
        }
        return new UserInfoEntity();
    }
}
