package com.upload.config;

/**
 * 系统常量池
 * Copy to jodd.util
 */
public interface ValuePool {

    String AMPERSAND = "&";
    String AND = "and";
    String AT = "@";
    String ASTERISK = "*";
    String STAR = ASTERISK;
    String BACK_SLASH = "\\";
    String COLON = ":";
    String COMMA = ",";
    String DASH = "-";
    String DOLLAR = "$";
    String DOT = ".";
    String DOTDOT = "..";
    String DOT_CLASS = ".class";
    String DOT_JAVA = ".java";
    String EMPTY = "";
    String EQUALS = "=";
    String FALSE = "false";
    String SLASH = "/";
    String HASH = "#";
    String HAT = "^";
    String LEFT_BRACE = "{";
    String LEFT_BRACKET = "(";
    String LEFT_CHEV = "<";
    String NEWLINE = "\n";
    String N = "n";
    String NO = "no";
    String NULL = "null";
    String OFF = "off";
    String ON = "on";
    String PERCENT = "%";
    String PIPE = "|";
    String PLUS = "+";
    String QUESTION_MARK = "?";
    String EXCLAMATION_MARK = "!";
    String QUOTE = "\"";
    String RETURN = "\r";
    String TAB = "\t";
    String RIGHT_BRACE = "}";
    String RIGHT_BRACKET = ")";
    String RIGHT_CHEV = ">";
    String SEMICOLON = ";";
    String SINGLE_QUOTE = "'";
    String SPACE = " ";
    String LEFT_SQ_BRACKET = "[";
    String RIGHT_SQ_BRACKET = "]";
    String TRUE = "true";
    String UNDERSCORE = "_";
    String UTF_8 = "UTF-8";
    String ISO_8859_1 = "ISO-8859-1";
    String Y = "y";
    String YES = "yes";
    String ONE = "1";
    String ZERO = "0";
    String DOLLAR_LEFT_BRACE = "${";
    String HASH_LEFT_BRACE = "#{";
    String CRLF = "\r\n";
    //HTML
    String HTML_NBSP = "&nbsp;";
    String HTML_AMP = "&amp";
    String HTML_QUOTE = "&quot;";
    String HTML_LT = "&lt;";
    String HTML_GT = "&gt;";
    // ----------------------------------------------------------------log
    String LOG_PREFIX = "###| ";
    String LOG_LINE = "============================================================";
    String LOG_GLOBAL_EXCEPTION_LINE = "====================== GlobalDefaultException ======================";
    String LOG_URL = LOG_PREFIX + "URL          : ";
    String LOG_IP = LOG_PREFIX + "IP           : ";
    String LOG_CLASS_METHOD = LOG_PREFIX + "CLASS_METHOD : ";
    String LOG_ARGS = LOG_PREFIX + "ARGS         : ";
    String LOG_RESPONSE = LOG_PREFIX + "RESPONSE     : ";
    String LOG_STATUS = LOG_PREFIX + "STATUS       : ";
    String LOG_EXCEPTION = LOG_PREFIX + "EXCEPTION    : ";

    //===================上传相关状态值和判断方法======================================
    /**
     * 图片上传最大大小10M * 1024 * 1024
     */
    long UPLOAD_MAX_SIZE_PIC = 10 << 20;
    String UPLOAD_MAX_SIZE_PIC_DESC = "图片文件大小不超过10M";
    /**
     * 文件上传最大大小50M * 1024 * 1024
     */
    long UPLOAD_MAX_SIZE_FILE = 50 << 20;
    String UPLOAD_MAX_SIZE_FILE_DESC = "常用文件大小不超过50M";
    /**
     * 视频上传最大大小100M * 1024 * 1024
     */
    long UPLOAD_MAX_SIZE_VIDEO = 100 << 20;
    String UPLOAD_MAX_SIZE_VIDEO_DESC = "视频文件大小不超过100M";
    /**
     * 上传图片文件类型
     */
    String[] UPLOAD_TYPE_PICS = {".jpg", ".jpeg", ".png", ".bmp", ".gif"};
    /**
     * 上传其他文件类型
     */
    String[] UPLOAD_TYPE_FILES = {".pdf", ".txt", ".rar", ".zip", ".7z", ".xls", ".xlsx", ".doc", ".docx", ".ppt", ".pptx"};
    /**
     * 上传视频文件类型
     */
    String[] UPLOAD_TYPE_VIDEOS = {".mov", ".mp4", ".avi", ".mpg", ".mpeg", ".rm", ".rmvb", ".wmv"};
    String UPLOAD_DATA_MISSING = "没有接收到文件数据";
    String UPLOAD_FAIL = "上传文件失败";
    String UPLOAD_FORMAT_NOT_SUPPORT = "文件格式暂时不支持";
    String UPLOAD_FORMAT_MISSING = "原文件名解析不到文件格式";
    String UPLOAD_FORMAT_ILLEGAL = "原文件名不合法";
    String UPLOAD_ORIGINAL_NAME_MISSING = "未解析到原文件名";

    /**
     * 水印图片地址
     */
    String MARK_IMAGE_PATH="/home/ying/server/watermark.png";
}